(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    220155,       6002]
NotebookOptionsPosition[    210220,       5727]
NotebookOutlinePosition[    211693,       5778]
CellTagsIndexPosition[    211620,       5773]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Shock ansatz

No linearization - only for Ricci flow



\t\t***  For Newton4.c
\
\>", "Subtitle",
 CellChangeTimes->{{3.408796983010241*^9, 3.408796989128707*^9}, {
  3.415942197687789*^9, 3.415942199707787*^9}, {3.428318203595373*^9, 
  3.4283182110266533`*^9}, {3.4318556687961187`*^9, 3.431855668994246*^9}, {
  3.495174647742872*^9, 3.460515504326817*^9}, {3.503996600043788*^9, 
  3.503996603042028*^9}, {3.54247054384832*^9, 3.542470547950636*^9}, {
  3.543557153971836*^9, 3.543557154018488*^9}, {3.54355724987787*^9, 
  3.5435572520293093`*^9}, {3.5516122019361877`*^9, 3.5516122053499317`*^9}, {
  3.552297516784545*^9, 3.552297527131527*^9}, {3.5523007168882713`*^9, 
  3.552300725624015*^9}}],

Cell[BoxData[
 RowBox[{"SetDirectory", "[", "\"\<~/Work/Shocks/\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Print", "[", "\"\<hmm\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell["GRSetup2.nb - modified", "Subsubtitle",
 CellChangeTimes->{{3.478330969800351*^9, 3.478330971159855*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Latest", " ", "Version"}], " ", "*)"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"metric", "=", 
   RowBox[{"{", 
    RowBox[{
    "gtt", ",", "grr", ",", "g\[Theta]\[Theta]", ",", "g\[Phi]\[Phi]", ",", 
     "gzz"}], "}"}]}], "\n"}], "\n", 
 RowBox[{"Gd", "=", 
  RowBox[{"DiagonalMatrix", "[", "metric", "]"}]}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Gd", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2"}], "]"}], "]"}], "=", "grt"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Gd", "[", 
   RowBox[{"[", 
    RowBox[{"2", ",", "1"}], "]"}], "]"}], "=", "grt"}]}], "Input"],

Cell[BoxData[
 RowBox[{"BuildMetric", ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Gu", "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"Inverse", "[", "Gd", "]"}], "]"}]}], ";", 
    RowBox[{"G", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u", ",", "d"}], "}"}], ",", 
       RowBox[{"IdentityMatrix", "[", "Nind", "]"}]}], "}"}]}], ";"}], 
   ")"}]}]], "Input"],

Cell[BoxData["BuildMetric"], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ind", "=", 
   RowBox[{"{", 
    RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]", ",", "z"}], 
    "}"}]}], "\n"}], "\n", 
 RowBox[{"Nind", "=", 
  RowBox[{"Length", "[", "ind", "]"}]}]}], "Input",
 Editable->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"getind", "[", "i1_", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"IntegerQ", "[", "i1", "]"}], ",", "i1", ",", 
      RowBox[{
       RowBox[{"Position", "[", 
        RowBox[{"ind", ",", "i1"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], ")"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"lstind", "[", "i1_", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"lsttmp2", "=", 
      RowBox[{"{", "}"}]}], ";", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"AppendTo", "[", 
        RowBox[{"lsttmp2", ",", 
         RowBox[{"getind", "[", 
          RowBox[{"i1", "[", 
           RowBox[{"[", 
            RowBox[{"lsttmp1", ",", "1"}], "]"}], "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"lsttmp1", ",", "1", ",", 
         RowBox[{"Length", "[", "i1", "]"}]}], "}"}]}], "]"}], ";", 
     "lsttmp2"}], ")"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"up", "[", 
   RowBox[{"i1_", ",", "i2_"}], "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"lsttmp2", "=", 
     RowBox[{"{", "}"}]}], ";", 
    RowBox[{"Do", "[", 
     RowBox[{
      RowBox[{"AppendTo", "[", 
       RowBox[{"lsttmp2", ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"i1", "[", 
            RowBox[{"[", 
             RowBox[{"lsttmp1", ",", "2"}], "]"}], "]"}], "=!=", 
           RowBox[{"i2", "[", 
            RowBox[{"[", "lsttmp1", "]"}], "]"}]}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"i1", "[", 
              RowBox[{"[", 
               RowBox[{"lsttmp1", ",", "2"}], "]"}], "]"}], "===", "d"}], ",",
             "d", ",", "u"}], "]"}], ",", "0"}], "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"lsttmp1", ",", "1", ",", 
        RowBox[{"Length", "[", "i1", "]"}]}], "}"}]}], "]"}], ";", 
    "lsttmp2"}], ")"}]}]}], "Input",
 Editable->False],

Cell[BoxData[""], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MT", "[", 
   RowBox[{"t1_", ",", "dim_", ",", "indpos_"}], "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"MTtmp1", "=", "0"}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "indpos", "]"}], "=!=", "dim"}], ",", 
      RowBox[{"Print", "[", "\"\<Error in index position\>\"", "]"}]}], "]"}],
     ";", 
    RowBox[{"Do", "[", 
     RowBox[{
      RowBox[{"MTtmp1", "=", 
       RowBox[{"Table", "[", 
        RowBox[{"MTtmp1", ",", 
         RowBox[{"{", 
          RowBox[{"MTtmp3", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"MTtmp2", ",", "1", ",", "dim"}], "}"}]}], "]"}], ";", 
    RowBox[{"t1", "=", 
     RowBox[{"{", 
      RowBox[{"indpos", ",", "MTtmp1"}], "}"}]}]}], ")"}]}]], "Input",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ST", "[", 
    RowBox[{"t1_", ",", "tind_", ",", "val_"}], "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"STtmp1", "=", "t1"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"up", "[", 
         RowBox[{"tind", ",", 
          RowBox[{"t1", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "=!=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"Length", "[", "tind", "]"}], "}"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Print", "[", "\"\<Error in Index Assignment!!\>\"", "]"}], 
        ";"}]}], "]"}], ";", 
     RowBox[{
      RowBox[{"STtmp1", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "=", 
      RowBox[{"ReplacePart", "[", 
       RowBox[{
        RowBox[{"t1", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", "val", ",", 
        RowBox[{"lstind", "[", "tind", "]"}]}], "]"}]}], ";", "STtmp1"}], 
    ")"}]}], "\n"}]], "Input",
 Editable->False],

Cell["\<\


Edited the expression below as 7.0 seems to complain about Sum[x] whereas 6.0 \
would just return x (ie. if there is no sum index!)

\
\>", "Text",
 CellChangeTimes->{{3.465736646430695*^9, 3.4657366879261303`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GT", "[", 
   RowBox[{"t1_", ",", "tind_"}], "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"GTtmp2", "=", 
     RowBox[{"up", "[", 
      RowBox[{"tind", ",", 
       RowBox[{"t1", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"GTtmp3", "=", "\"\<\>\""}], ";", 
    RowBox[{"GTtmp4", "=", "\"\<\>\""}], ";", 
    RowBox[{"GTtmp5", "=", "\"\<\>\""}], ";", 
    RowBox[{"GTtmp6", "=", "t1"}], ";", "\n", "\t\t", 
    RowBox[{"Do", "[", "\n", "\t\t\t", 
     RowBox[{
      RowBox[{
       RowBox[{"Switch", "[", 
        RowBox[{
         RowBox[{"GTtmp2", "[", 
          RowBox[{"[", "GTtmp1", "]"}], "]"}], ",", "\n", "\t\t\t\t", "0", 
         ",", "\n", "\t\t\t\t", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"GTtmp3", "=", 
            RowBox[{"GTtmp3", "<>", "\"\<,\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"getind", "[", 
               RowBox[{"tind", "[", 
                RowBox[{"[", 
                 RowBox[{"GTtmp1", ",", "1"}], "]"}], "]"}], "]"}], "]"}]}]}],
            ";"}], ")"}], ",", "\n", "\t\t\t\t", "u", ",", "\n", "\t\t\t\t", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"GTtmp3", "=", 
            RowBox[{"GTtmp3", "<>", "\"\<,\>\"", "<>", "\"\<tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}]}]}], ";", "\n", 
           "\t\t\t\t\t", 
           RowBox[{"GTtmp4", "=", 
            RowBox[{"GTtmp4", "<>", "\"\< Gu[[\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"getind", "[", 
               RowBox[{"tind", "[", 
                RowBox[{"[", 
                 RowBox[{"GTtmp1", ",", "1"}], "]"}], "]"}], "]"}], "]"}], 
             "<>", "\"\<, tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}], "<>", 
             "\"\<]] \>\""}]}], ";", "\n", "\t\t\t\t\t", 
           RowBox[{"GTtmp5", "=", 
            RowBox[{"GTtmp5", "<>", "\"\<,{tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}], "<>", 
             "\"\<,1,Nind}\>\""}]}]}], ")"}], ",", "\n", "\t\t\t\t", "d", ",",
          "\n", "\t\t\t\t", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"GTtmp3", "=", 
            RowBox[{"GTtmp3", "<>", "\"\<,\>\"", "<>", "\"\<tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}]}]}], ";", "\n", 
           "\t\t\t\t\t", 
           RowBox[{"GTtmp4", "=", 
            RowBox[{"GTtmp4", "<>", "\"\< Gd[[\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"getind", "[", 
               RowBox[{"tind", "[", 
                RowBox[{"[", 
                 RowBox[{"GTtmp1", ",", "1"}], "]"}], "]"}], "]"}], "]"}], 
             "<>", "\"\<, tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}], "<>", 
             "\"\<]] \>\""}]}], ";", "\n", "\t\t\t\t\t", 
           RowBox[{"GTtmp5", "=", 
            RowBox[{"GTtmp5", "<>", "\"\<,{tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}], "<>", 
             "\"\<,1,Nind}\>\""}]}], ";"}], ")"}]}], "]"}], ";"}], "\n", 
      "\t\t\t", ",", 
      RowBox[{"{", 
       RowBox[{"GTtmp1", ",", "1", ",", 
        RowBox[{"Length", "[", 
         RowBox[{"t1", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"GTtmp4", "===", "\"\<\>\""}], "&&", 
       RowBox[{"GTtmp5", "===", "\"\<\>\""}]}], ",", 
      RowBox[{"ToExpression", "[", 
       RowBox[{"\"\<GTtmp6[[2\>\"", "<>", "GTtmp3", "<>", "\"\<]]\>\""}], 
       "]"}], ",", 
      RowBox[{"ToExpression", "[", 
       RowBox[{
       "\"\<Sum[GTtmp6[[2\>\"", "<>", "GTtmp3", "<>", "\"\<]]\>\"", "<>", 
        "GTtmp4", "<>", "GTtmp5", "<>", "\"\<]\>\""}], "]"}]}], "]"}]}], 
   ")"}]}]], "Input",
 Editable->False,
 CellChangeTimes->{{3.465736640865263*^9, 3.4657366432796392`*^9}, {
  3.465736699767317*^9, 3.4657367470041943`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Trace, Outer Product and Covariant Derivative! - GREinstein.nb\
\>", "Subsubtitle",
 Editable->False],

Cell["\<\
Syntax:   trT[tensor,{{1,4},{2,3}}]   -  ie. contract 1 and 4 plus 2 and 3 \
positions\
\>", "Text",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"trT", "[", 
   RowBox[{"t1_", ",", "lst_"}], "]"}], ":=", 
  RowBox[{"(", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dimt1", "=", 
     RowBox[{"Length", "[", 
      RowBox[{"Dimensions", "[", 
       RowBox[{"t1", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"tmpt1", "=", "t1"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Clear", "[", "tracetmp", "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"dimt1", "===", "2"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"tracetmp", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{"GT", "[", 
           RowBox[{"tmpt1", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"s1", ",", "d"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"s1", ",", "u"}], "}"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"s1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"MT", "[", 
        RowBox[{"tracetmp", ",", 
         RowBox[{"dimt1", "-", 
          RowBox[{"2", 
           RowBox[{"Length", "[", "lst", "]"}]}]}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{"d", ",", 
           RowBox[{"{", 
            RowBox[{"ii", ",", "1", ",", 
             RowBox[{"dimt1", "-", 
              RowBox[{"2", 
               RowBox[{"Length", "[", "lst", "]"}]}]}]}], "}"}]}], "]"}]}], 
        "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"tmpstring1", "=", "\"\<\>\""}], ";", 
       RowBox[{"tmpstring2", "=", "\"\<\>\""}], ";", 
       RowBox[{"tmpstring3", "=", "\"\<\>\""}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", "}"}], "===", 
             RowBox[{"Position", "[", 
              RowBox[{"lst", ",", "indno"}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"tmpstring1", "=", 
              RowBox[{"tmpstring1", "<>", "\"\<{i\>\"", "<>", 
               RowBox[{"ToString", "[", "indno", "]"}], "<>", 
               "\"\<,d},\>\""}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"tmpstring3", "=", 
              RowBox[{"tmpstring3", "<>", "\"\<{i\>\"", "<>", 
               RowBox[{"ToString", "[", "indno", "]"}], "<>", 
               "\"\<,1,Nind},\>\""}]}], ";"}]}], "\[IndentingNewLine]", "]"}],
           ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"tmpstring2", "=", 
           RowBox[{"tmpstring2", "<>", "\"\<{i\>\"", "<>", 
            RowBox[{"ToString", "[", "indno", "]"}], "<>", "\"\<,d},\>\""}]}],
           ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"indno", ",", "1", ",", "dimt1"}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"tmpstring4", "=", "\"\<\>\""}], ";", "\[IndentingNewLine]", 
       "\n", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"tmpstring4", "=", 
           RowBox[{"tmpstring4", "<>", "\"\<{s\>\"", "<>", 
            RowBox[{"ToString", "[", "indno", "]"}], "<>", 
            "\"\<,1,Nind},\>\""}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"tmpstring2", "=", 
           RowBox[{"StringReplace", "[", 
            RowBox[{"tmpstring2", ",", 
             RowBox[{
              RowBox[{"\"\<i\>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"lst", "[", 
                 RowBox[{"[", 
                  RowBox[{"indno", ",", "1"}], "]"}], "]"}], "]"}]}], "->", 
              RowBox[{"\"\<s\>\"", "<>", 
               RowBox[{"ToString", "[", "indno", "]"}]}]}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"tmpstring2", "=", 
           RowBox[{"StringReplace", "[", 
            RowBox[{"tmpstring2", ",", 
             RowBox[{
              RowBox[{"\"\<i\>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"lst", "[", 
                 RowBox[{"[", 
                  RowBox[{"indno", ",", "2"}], "]"}], "]"}], "]"}], "<>", 
               "\"\<,d}\>\""}], "->", 
              RowBox[{"\"\<s\>\"", "<>", 
               RowBox[{"ToString", "[", "indno", "]"}], "<>", 
               "\"\<,u}\>\""}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"indno", ",", "1", ",", 
           RowBox[{"Length", "[", "lst", "]"}]}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"tmpeval", "=", 
        RowBox[{"\"\<Do[tracetmp=ST[tracetmp,{\>\"", "<>", 
         RowBox[{"StringDrop", "[", 
          RowBox[{"tmpstring1", ",", 
           RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<},Sum[GT[tmpt1,{\>\"", "<>", 
         RowBox[{"StringDrop", "[", 
          RowBox[{"tmpstring2", ",", 
           RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<}],\>\"", "<>", 
         RowBox[{"StringDrop", "[", 
          RowBox[{"tmpstring4", ",", 
           RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<]],\>\"", "<>", 
         RowBox[{"StringDrop", "[", 
          RowBox[{"tmpstring3", ",", 
           RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<]\>\""}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"ToExpression", "[", "tmpeval", "]"}], ";"}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "tracetmp"}], 
   "\[IndentingNewLine]", ")"}]}]], "Input",
 Editable->False],

Cell["Syntax:   outerT[tensor1,tensor2] ", "Text",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"outerT", "[", 
   RowBox[{"t1_", ",", "t2_"}], "]"}], ":=", 
  RowBox[{"(", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dimt1", "=", 
     RowBox[{"Length", "[", 
      RowBox[{"Dimensions", "[", 
       RowBox[{"t1", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], ";", 
    RowBox[{"dimt2", "=", 
     RowBox[{"Length", "[", 
      RowBox[{"Dimensions", "[", 
       RowBox[{"t2", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"tmpt1", "=", "t1"}], ";", 
    RowBox[{"tmpt2", "=", "t2"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Clear", "[", "outertmp", "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"MT", "[", 
     RowBox[{"outertmp", ",", 
      RowBox[{"dimt1", "+", "dimt2"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{"d", ",", 
        RowBox[{"{", 
         RowBox[{"ii", ",", "1", ",", 
          RowBox[{"dimt1", "+", "dimt2"}]}], "}"}]}], "]"}]}], "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"tmpstring1", "=", "\"\<\>\""}], ";", 
    RowBox[{"tmpstring2", "=", "\"\<\>\""}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"tmpstring1", "=", 
        RowBox[{"tmpstring1", "<>", "\"\<{i\>\"", "<>", 
         RowBox[{"ToString", "[", "indno", "]"}], "<>", "\"\<,d},\>\""}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"tmpstring2", "=", 
        RowBox[{"tmpstring2", "<>", "\"\<{i\>\"", "<>", 
         RowBox[{"ToString", "[", "indno", "]"}], "<>", 
         "\"\<,1,Nind},\>\""}]}], ";"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"indno", ",", "1", ",", "dimt1"}], "}"}]}], "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"tmpstring3", "=", "\"\<\>\""}], ";", 
    RowBox[{"tmpstring4", "=", "\"\<\>\""}], ";", "\[IndentingNewLine]", "\n", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"tmpstring3", "=", 
        RowBox[{"tmpstring3", "<>", "\"\<{j\>\"", "<>", 
         RowBox[{"ToString", "[", "indno", "]"}], "<>", "\"\<,d},\>\""}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"tmpstring4", "=", 
        RowBox[{"tmpstring4", "<>", "\"\<{j\>\"", "<>", 
         RowBox[{"ToString", "[", "indno", "]"}], "<>", 
         "\"\<,1,Nind},\>\""}]}], ";"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"indno", ",", "1", ",", "dimt2"}], "}"}]}], "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"tmpeval", "=", 
     RowBox[{"\"\<Do[outertmp=ST[outertmp,{\>\"", "<>", "tmpstring1", "<>", 
      RowBox[{"StringDrop", "[", 
       RowBox[{"tmpstring3", ",", 
        RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<},GT[tmpt1,{\>\"", "<>", 
      RowBox[{"StringDrop", "[", 
       RowBox[{"tmpstring1", ",", 
        RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<}]GT[tmpt2,{\>\"", "<>", 
      RowBox[{"StringDrop", "[", 
       RowBox[{"tmpstring3", ",", 
        RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<}]],\>\"", "<>", "tmpstring2",
       "<>", 
      RowBox[{"StringDrop", "[", 
       RowBox[{"tmpstring4", ",", 
        RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<]\>\""}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"ToExpression", "[", "tmpeval", "]"}], ";", "\[IndentingNewLine]",
     "\[IndentingNewLine]", "outertmp"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", ")"}]}]], "Input",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"scalarDT", "[", "t1_", "]"}], ":=", 
  RowBox[{"(", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tmpt1", "=", "t1"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Clear", "[", "covDTtmp", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"MT", "[", 
     RowBox[{"covDTtmp", ",", "1", ",", 
      RowBox[{"{", "d", "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
    "tmpeval", "=", 
     "\"\<Do[covDTtmp=ST[covDTtmp,{{i1,d}},D[tmpt1,ind[[i1]]]],{i1,1,Nind}]\>\
\""}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"ToExpression", "[", "tmpeval", "]"}], ";", "\[IndentingNewLine]",
     "\[IndentingNewLine]", "covDTtmp"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", ")"}]}]], "Input",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"covDT", "[", "t1_", "]"}], ":=", 
   RowBox[{"(", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"dimt1", "=", 
      RowBox[{"Length", "[", 
       RowBox[{"Dimensions", "[", 
        RowBox[{"t1", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"tmpt1", "=", "t1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Clear", "[", "covDTtmp", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"MT", "[", 
      RowBox[{"covDTtmp", ",", 
       RowBox[{"dimt1", "+", "1"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{"d", ",", 
         RowBox[{"{", 
          RowBox[{"ii", ",", "1", ",", 
           RowBox[{"dimt1", "+", "1"}]}], "}"}]}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"Build", " ", "expression"}], " ", "*)"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"tmpstring1", "=", "\"\<\>\""}], ";", 
     RowBox[{"tmpstring2", "=", "\"\<\>\""}], ";", 
     RowBox[{"tmpstring3", "=", "\"\<\>\""}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"tmpstring1", "=", 
         RowBox[{"tmpstring1", "<>", "\"\<{i\>\"", "<>", 
          RowBox[{"ToString", "[", "indno", "]"}], "<>", "\"\<,d},\>\""}]}], 
        ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"tmpstring2", "=", 
         RowBox[{"tmpstring2", "<>", "\"\<{i\>\"", "<>", 
          RowBox[{"ToString", "[", "indno", "]"}], "<>", 
          "\"\<,1,Nind},\>\""}]}], ";"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"indno", ",", "1", ",", "dimt1"}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Do", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"tmpstring4", "=", 
         RowBox[{"\"\<-Sum[GT[tmpt1,{\>\"", "<>", 
          RowBox[{"StringDrop", "[", 
           RowBox[{"tmpstring1", ",", 
            RowBox[{"-", "1"}]}], "]"}], "<>", 
          "\"\<}]GT[\[CapitalGamma],{{REPL,d},{s1,d},{s2,u}}],{s2,1,Nind}]\>\"\
"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"tmpstring4", "=", 
         RowBox[{"StringReplace", "[", 
          RowBox[{"tmpstring4", ",", 
           RowBox[{
            RowBox[{"\"\<i\>\"", "<>", 
             RowBox[{"ToString", "[", "indno", "]"}]}], "\[Rule]", " ", 
            "\"\<s2\>\""}]}], "]"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"tmpstring4", "=", 
         RowBox[{"StringReplace", "[", 
          RowBox[{"tmpstring4", ",", 
           RowBox[{"\"\<REPL\>\"", "\[Rule]", 
            RowBox[{"\"\<i\>\"", "<>", 
             RowBox[{"ToString", "[", "indno", "]"}]}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"tmpstring3", "=", 
         RowBox[{"tmpstring3", "<>", "tmpstring4"}]}], ";"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"indno", ",", "1", ",", "dimt1"}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"tmpeval", "=", 
      RowBox[{
      "\"\<Do[covDTtmp=ST[covDTtmp,{\>\"", "<>", "tmpstring1", "<>", 
       "\"\<{s1,d}},D[GT[tmpt1,{\>\"", "<>", 
       RowBox[{"StringDrop", "[", 
        RowBox[{"tmpstring1", ",", 
         RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<}],ind[[s1]]]\>\"", "<>", 
       "tmpstring3", "<>", "\"\<],\>\"", "<>", "tmpstring2", "<>", 
       "\"\<{s1,1,Nind}]\>\""}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"ToExpression", "[", "tmpeval", "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "covDTtmp"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", ")"}]}], ";"}]], "Input",
 Editable->False],

Cell[BoxData["."], "Input",
 CellChangeTimes->{3.399009138941909*^9},
 EmphasizeSyntaxErrors->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Buildmetric", "Subsubtitle"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ind", "=", 
    RowBox[{"{", 
     RowBox[{"v", ",", "z", ",", "x", ",", "y1", ",", "y2"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Nind", "=", 
   RowBox[{"Length", "[", "ind", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.551593757279459*^9, {3.551593847903418*^9, 3.5515938505416927`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"met", "=", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"z", "^", "2"}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"T", "[", 
         RowBox[{"l", ",", "z", ",", "x"}], "]"}]}], 
       SuperscriptBox[
        RowBox[{"Dt", "[", "v", "]"}], "2"]}], "-", 
      RowBox[{"2", 
       RowBox[{"V", "[", 
        RowBox[{"l", ",", "z", ",", "x"}], "]"}], 
       RowBox[{"Dt", "[", "v", "]"}], " ", 
       RowBox[{"Dt", "[", "z", "]"}]}], "+", 
      RowBox[{"2", 
       FractionBox[
        RowBox[{"U", "[", 
         RowBox[{"l", ",", "z", ",", "x"}], "]"}], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"x", "^", "2"}]}], ")"}]], 
       RowBox[{"Dt", "[", "v", "]"}], " ", 
       RowBox[{"Dt", "[", "x", "]"}]}], "+", 
      RowBox[{
       RowBox[{"S", "[", 
        RowBox[{"l", ",", "z", ",", "x"}], "]"}], 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"Dt", "[", "y1", "]"}], "2"], "+", 
         SuperscriptBox[
          RowBox[{"Dt", "[", "y2", "]"}], "2"]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"A", "[", 
        RowBox[{"l", ",", "z", ",", "x"}], "]"}], 
       SuperscriptBox[
        RowBox[{"Dt", "[", "z", "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"B", "[", 
        RowBox[{"l", ",", "z", ",", "x"}], "]"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           FractionBox["1", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"x", "^", "2"}]}], ")"}]], 
           RowBox[{"Dt", "[", "x", "]"}]}], "+", 
          RowBox[{
           RowBox[{"F", "[", 
            RowBox[{"l", ",", "z", ",", "x"}], "]"}], 
           RowBox[{"Dt", "[", "z", "]"}]}]}], ")"}], "2"]}]}], ")"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.415864996853011*^9, 3.415865029461749*^9}, {
  3.41640612294987*^9, 3.4164061231303864`*^9}, {3.426233044030629*^9, 
  3.426233061822033*^9}, {3.551593680117296*^9, 3.5515937254404173`*^9}, {
  3.5515937604050627`*^9, 3.551593793746099*^9}, {3.5515945243714867`*^9, 
  3.551594528425828*^9}, {3.551594687051997*^9, 3.55159470957156*^9}, {
  3.551596852099247*^9, 3.55159686296412*^9}, {3.5516122727380857`*^9, 
  3.551612284863456*^9}, {3.551613588830535*^9, 3.551613592700665*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Gd", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"ii", "\[Equal]", "jj"}], ",", 
       RowBox[{"Coefficient", "[", 
        RowBox[{"met", ",", 
         RowBox[{
          RowBox[{"Dt", "[", 
           RowBox[{"ind", "[", 
            RowBox[{"[", "ii", "]"}], "]"}], "]"}], "^", "2"}]}], "]"}], ",", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Coefficient", "[", 
           RowBox[{"met", ",", 
            RowBox[{"Dt", "[", 
             RowBox[{"ind", "[", 
              RowBox[{"[", "ii", "]"}], "]"}], "]"}]}], "]"}], ",", 
          RowBox[{"Dt", "[", 
           RowBox[{"ind", "[", 
            RowBox[{"[", "jj", "]"}], "]"}], "]"}]}], "]"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"ii", ",", "1", ",", "Nind"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"jj", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.551593733545899*^9, 3.5515937424691057`*^9}, {
  3.551593802725731*^9, 3.5515938440605097`*^9}, {3.551593877186933*^9, 
  3.5515939225138903`*^9}}],

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "Gd", "]"}]], "Input",
 CellChangeTimes->{{3.551593923978424*^9, 3.551593926884918*^9}}],

Cell[BoxData[
 RowBox[{"BuildMetric", ";"}]], "Input",
 CellChangeTimes->{{3.408796998476103*^9, 3.408797030516582*^9}, {
   3.408799071597343*^9, 3.408799082644943*^9}, {3.408949739095245*^9, 
   3.408949739644734*^9}, {3.408949841695282*^9, 3.40894984293303*^9}, {
   3.415862083663703*^9, 3.4158620851642113`*^9}, {3.415862334623486*^9, 
   3.415862336021243*^9}, {3.415862388498528*^9, 3.4158623965197372`*^9}, {
   3.4158641082437763`*^9, 3.415864116357332*^9}, {3.415865034672494*^9, 
   3.415865047473855*^9}, {3.415943026431671*^9, 3.415943056090918*^9}, {
   3.42453089354659*^9, 3.424530981705195*^9}, {3.4262330694486513`*^9, 
   3.426233078224708*^9}, {3.42831552177035*^9, 3.428315531925826*^9}, {
   3.4846376557630672`*^9, 3.484637778991955*^9}, {3.484645370958414*^9, 
   3.4846453866606073`*^9}, {3.485064245782077*^9, 3.485064262265921*^9}, {
   3.551593653979796*^9, 3.551593672515424*^9}, 3.551593932722415*^9}],

Cell[BoxData["Gd"], "Input"],

Cell[BoxData["Gu"], "Input",
 CellChangeTimes->{{3.551593960886705*^9, 3.551593971508885*^9}}],

Cell[BoxData[
 RowBox[{"detg", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Det", "[", "Gd", "]"}], "]"}]}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["GRrun2.nb", "Subsubtitle"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\[CapitalGamma]", "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"MT", "[", 
   RowBox[{"\[CapitalGamma]", ",", "3", ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "d", ",", "u"}], "}"}]}], "]"}], ";"}], "\n"}], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "R4", "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"MT", "[", 
   RowBox[{"R4", ",", "4", ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "d", ",", "d", ",", "u"}], "}"}]}], "]"}], 
  ";"}], "\n"}], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "R2", "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"MT", "[", 
   RowBox[{"R2", ",", "2", ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "d"}], "}"}]}], "]"}], ";"}]}], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "G2", "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"MT", "[", 
   RowBox[{"G2", ",", "2", ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "d"}], "}"}]}], "]"}], ";"}]}], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"\[CapitalGamma]", "=", 
    RowBox[{"ST", "[", 
     RowBox[{"\[CapitalGamma]", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i3", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}], ",", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"GT", "[", 
          RowBox[{"G", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i3", "]"}], "]"}], ",", "u"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "ss1", "]"}], "]"}], ",", "u"}], "}"}]}], 
            "}"}]}], "]"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"GT", "[", 
              RowBox[{"G", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}]}], 
                "}"}]}], "]"}], ",", 
             RowBox[{"ind", "[", 
              RowBox[{"[", "i2", "]"}], "]"}]}], "]"}], "+", 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"GT", "[", 
              RowBox[{"G", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], 
                "}"}]}], "]"}], ",", 
             RowBox[{"ind", "[", 
              RowBox[{"[", "i1", "]"}], "]"}]}], "]"}], "-", 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"GT", "[", 
              RowBox[{"G", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], 
                "}"}]}], "]"}], ",", 
             RowBox[{"ind", "[", 
              RowBox[{"[", "ss1", "]"}], "]"}]}], "]"}]}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"ss1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], "]"}]}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i3", ",", "1", ",", "Nind"}], "}"}]}], "]"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"FullSimplify", "[", "\[CapitalGamma]", "]"}], " ", "*)"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalGamma]", "=", 
   RowBox[{"FullSimplify", "[", "\[CapitalGamma]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.426232729469757*^9, 3.426232735540435*^9}}],

Cell[BoxData[
 RowBox[{"Do", "[", "\n", "\t", 
  RowBox[{
   RowBox[{"R4", "=", 
    RowBox[{"ST", "[", 
     RowBox[{"R4", ",", "\n", "\t\t\t", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i3", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i4", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}], ",", 
      "\n", "\t", "\n", "\t\t\t", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"GT", "[", 
          RowBox[{"\[CapitalGamma]", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i3", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i4", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}]}],
           "]"}], ",", 
         RowBox[{"ind", "[", 
          RowBox[{"[", "i2", "]"}], "]"}]}], "]"}], "-", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"GT", "[", 
          RowBox[{"\[CapitalGamma]", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i3", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i4", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}]}],
           "]"}], ",", 
         RowBox[{"ind", "[", 
          RowBox[{"[", "i1", "]"}], "]"}]}], "]"}], "+", "\n", "\t\t\t", 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"GT", "[", 
            RowBox[{"\[CapitalGamma]", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i3", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "ss1", "]"}], "]"}], ",", "u"}], "}"}]}], 
              "}"}]}], "]"}], 
           RowBox[{"GT", "[", 
            RowBox[{"\[CapitalGamma]", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i4", "]"}], "]"}], ",", "u"}], "}"}]}], 
              "}"}]}], "]"}]}], "-", 
          RowBox[{
           RowBox[{"GT", "[", 
            RowBox[{"\[CapitalGamma]", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i3", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "ss1", "]"}], "]"}], ",", "u"}], "}"}]}], 
              "}"}]}], "]"}], 
           RowBox[{"GT", "[", 
            RowBox[{"\[CapitalGamma]", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i4", "]"}], "]"}], ",", "u"}], "}"}]}], 
              "}"}]}], "]"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"ss1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}]}], "\n", 
     "\t\t", "\n", "\t\t", "]"}]}], "\n", "\t\t", ",", "\n", "\t", 
   RowBox[{"{", 
    RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i3", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i4", ",", "1", ",", "Nind"}], "}"}]}], "]"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"FullSimplify", "[", "R4", "]"}], " ", "*)"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"R2", "=", 
    RowBox[{"ST", "[", 
     RowBox[{"R2", ",", "\n", "\t\t\t", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}], ",", 
      "\n", "\t\t\t", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{"GT", "[", 
         RowBox[{"R4", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "ss1", "]"}], "]"}], ",", "u"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}]}],
          "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"ss1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], "\n", 
     "\t\t", "]"}]}], "\n", "\t", ",", 
   RowBox[{"{", 
    RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}]}], "]"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"FullSimplify", "[", "R2", "]"}], " ", "*)"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ricci", "=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{"GT", "[", 
      RowBox[{"R2", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ind", "[", 
            RowBox[{"[", "ss1", "]"}], "]"}], ",", "u"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ind", "[", 
            RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}]}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"ss1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"G2", "=", 
    RowBox[{"ST", "[", 
     RowBox[{"G2", ",", "\n", "\t\t\t", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}], ",", 
      "\n", "\t\t\t", 
      RowBox[{
       RowBox[{"GT", "[", 
        RowBox[{"R2", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ind", "[", 
              RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ind", "[", 
              RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}]}], 
        "]"}], "-", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"GT", "[", 
         RowBox[{"G", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}]}], 
         "]"}], "Ricci"}]}]}], "]"}]}], "\n", "\t", ",", 
   RowBox[{"{", 
    RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}]}], "]"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"FullSimplify", "[", "G2", "]"}], " ", "*)"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"FullSimplify", "[", "Ricci", "]"}], " ", "*)"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"]
}, Closed]],

Cell[CellGroupData[{

Cell["Einstein equations", "Subsubtitle"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalGamma]2", "=", "\[CapitalGamma]"}], ";"}]], "Input",
 CellChangeTimes->{{3.552105386803821*^9, 3.552105388698996*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalGamma]list", "=", 
    RowBox[{"{", "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"indlist", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", "v", ",", "v"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"v", ",", "z", ",", "v"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"v", ",", "x", ",", "v"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "z", ",", "v"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "x", ",", "v"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "x", ",", "v"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y1", ",", "y1", ",", "v"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y2", ",", "y2", ",", "v"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"v", ",", "v", ",", "z"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"v", ",", "z", ",", "z"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"v", ",", "x", ",", "z"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "z", ",", "z"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "x", ",", "z"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "x", ",", "z"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y1", ",", "y1", ",", "z"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y2", ",", "y2", ",", "z"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"v", ",", "v", ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"v", ",", "z", ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"v", ",", "x", ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "z", ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "x", ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "x", ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y1", ",", "y1", ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y2", ",", "y2", ",", "x"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"y1", ",", "z", ",", "y1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y1", ",", "x", ",", "y1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y2", ",", "z", ",", "y2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y2", ",", "x", ",", "y2"}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.551850915026433*^9, 3.551850920923728*^9}, {
  3.551850961304681*^9, 3.551850961752425*^9}, {3.551851005559944*^9, 
  3.551851022999756*^9}, {3.551851156587653*^9, 3.55185120801824*^9}, {
  3.551851300573078*^9, 3.5518513800059834`*^9}, {3.551851411596188*^9, 
  3.551851429450528*^9}, {3.5518514653462467`*^9, 3.551851536432433*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"indpos", "=", 
      RowBox[{"indlist", "[", 
       RowBox[{"[", "count", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"tmp", "=", 
      RowBox[{"GT", "[", 
       RowBox[{"\[CapitalGamma]2", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"indpos", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"indpos", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"indpos", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"tmp", "\[Equal]", "0"}], ",", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<\\n\\nWarning - zero entry \>\"", ",", "indpos", ",", 
         "\"\<\\n\\n\>\""}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"\[CapitalGamma]list", ",", "tmp"}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"indpos", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "===", 
        RowBox[{"indpos", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]2", "=", 
         RowBox[{"ST", "[", 
          RowBox[{"\[CapitalGamma]2", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"indpos", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"indpos", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"indpos", "[", 
                RowBox[{"[", "3", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"\[Gamma]", "[", 
            RowBox[{"count", ",", "z", ",", "x"}], "]"}]}], "]"}]}], ";"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]2", "=", 
         RowBox[{"ST", "[", 
          RowBox[{"\[CapitalGamma]2", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"indpos", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"indpos", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"indpos", "[", 
                RowBox[{"[", "3", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"\[Gamma]", "[", 
            RowBox[{"count", ",", "z", ",", "x"}], "]"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[CapitalGamma]2", "=", 
         RowBox[{"ST", "[", 
          RowBox[{"\[CapitalGamma]2", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"indpos", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"indpos", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"indpos", "[", 
                RowBox[{"[", "3", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"\[Gamma]", "[", 
            RowBox[{"count", ",", "z", ",", "x"}], "]"}]}], "]"}]}], ";"}]}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"count", ",", "1", ",", 
      RowBox[{"Length", "[", "indlist", "]"}]}], "}"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.551850721357946*^9, 3.551850776871292*^9}, {
  3.5518508103691*^9, 3.551850819679475*^9}, {3.5518508852377462`*^9, 
  3.551850912501602*^9}, {3.551850963506414*^9, 3.5518509820891027`*^9}, {
  3.551851017347443*^9, 3.5518510446172953`*^9}, {3.551851118990932*^9, 
  3.55185115415212*^9}, {3.55185121187819*^9, 3.5518512472056313`*^9}, {
  3.551851542450588*^9, 3.5518515457455387`*^9}, {3.5518515793338842`*^9, 
  3.5518515825499573`*^9}, {3.551851784229129*^9, 3.551851829698798*^9}, {
  3.551885235140024*^9, 3.5518852425319433`*^9}, {3.5519370319026814`*^9, 
  3.551937040869616*^9}, {3.552105395962749*^9, 3.552105403138405*^9}}],

Cell[BoxData[
 RowBox[{"\[CapitalGamma]list", "=", 
  RowBox[{"Simplify", "[", "\[CapitalGamma]list", "]"}]}]], "Input",
 CellChangeTimes->{{3.551851878581071*^9, 3.5518518845247717`*^9}}],

Cell[BoxData[
 RowBox[{"size\[CapitalGamma]", "=", 
  RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}]], "Input",
 CellChangeTimes->{{3.551852304445541*^9, 3.5518523151644373`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalGamma]0", "=", 
   RowBox[{"\[CapitalGamma]2", "/.", 
    RowBox[{"{", 
     RowBox[{"\[Gamma]", "\[Rule]", "\[Gamma]0"}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4262303165893497`*^9, 3.4262303398602133`*^9}, {
   3.485761808377005*^9, 3.4857618114144993`*^9}, {3.5515947465918922`*^9, 
   3.551594762934457*^9}, 3.551762522087988*^9, {3.5518519009016333`*^9, 
   3.5518519361791153`*^9}, 3.551885280496645*^9, 3.551937060913701*^9, 
   3.55210538072425*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "d\[CapitalGamma]", "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"MT", "[", 
   RowBox[{"d\[CapitalGamma]", ",", "3", ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "d", ",", "u"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.426229921816812*^9, 3.426229934732215*^9}},
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"d\[CapitalGamma]", "=", 
    RowBox[{"ST", "[", 
     RowBox[{"d\[CapitalGamma]", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i3", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"GT", "[", 
        RowBox[{"\[CapitalGamma]", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ind", "[", 
              RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ind", "[", 
              RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ind", "[", 
              RowBox[{"[", "i3", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}]}], 
        "]"}], "-", 
       RowBox[{"GT", "[", 
        RowBox[{"\[CapitalGamma]0", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ind", "[", 
              RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ind", "[", 
              RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ind", "[", 
              RowBox[{"[", "i3", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}]}], 
        "]"}]}]}], "\[IndentingNewLine]", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i3", ",", "1", ",", "Nind"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4262299354328623`*^9, 3.42622996641691*^9}},
 CellTags->"calcgeom"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "H", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MT", "[", 
    RowBox[{"H", ",", "1", ",", 
     RowBox[{"{", "d", "}"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"H", "=", 
      RowBox[{"ST", "[", 
       RowBox[{"H", ",", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"i1", ",", "d"}], "}"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"-", " ", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"GT", "[", 
            RowBox[{"d\[CapitalGamma]", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"s1", ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"s1", ",", "u"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"i1", ",", "d"}], "}"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"s1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}]}], 
       "\[IndentingNewLine]", "]"}]}], ";"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4087970943172693`*^9, 3.408797098931541*^9}, {
   3.408973656013672*^9, 3.408973660142764*^9}, 3.418456476392524*^9, {
   3.426229975319216*^9, 3.426229983437986*^9}, {3.426230701065813*^9, 
   3.426230703285982*^9}}],

Cell[BoxData["ind"], "Input",
 CellChangeTimes->{{3.551596821407918*^9, 3.5515968215961647`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Htmp", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "d", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"hv", ",", "hz", ",", "hx", ",", "0", ",", "0", ",", "0"}], 
       "}"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"phi", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"trT", "[", 
    RowBox[{
     RowBox[{"outerT", "[", 
      RowBox[{"Htmp", ",", "Htmp"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}], "}"}]}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.460444144767435*^9, 3.460444175048345*^9}, {
   3.542470055520176*^9, 3.5424700562158747`*^9}, {3.551596825184135*^9, 
   3.551596828710003*^9}, {3.551596948302618*^9, 3.5515969996894207`*^9}, 
   3.55159727608711*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "dH", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MT", "[", 
    RowBox[{"dH", ",", "2", ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "d"}], "}"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"dH", "=", 
      RowBox[{"ST", "[", 
       RowBox[{"dH", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"i1", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i2", ",", "d"}], "}"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"GT", "[", 
              RowBox[{"H", ",", 
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{"i1", ",", "d"}], "}"}], "}"}]}], "]"}], ",", 
             RowBox[{"ind", "[", 
              RowBox[{"[", "i2", "]"}], "]"}]}], "]"}], "-", 
           RowBox[{"Sum", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"GT", "[", 
               RowBox[{"\[CapitalGamma]", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"i1", ",", "d"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"i2", ",", "d"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"s1", ",", "u"}], "}"}]}], "}"}]}], "]"}], 
              RowBox[{"GT", "[", 
               RowBox[{"H", ",", 
                RowBox[{"{", 
                 RowBox[{"{", 
                  RowBox[{"s1", ",", "d"}], "}"}], "}"}]}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"s1", ",", "1", ",", "Nind"}], "}"}]}], "]"}], 
           "\[IndentingNewLine]", "+", 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"GT", "[", 
              RowBox[{"H", ",", 
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{"i2", ",", "d"}], "}"}], "}"}]}], "]"}], ",", 
             RowBox[{"ind", "[", 
              RowBox[{"[", "i1", "]"}], "]"}]}], "]"}], "-", 
           RowBox[{"Sum", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"GT", "[", 
               RowBox[{"\[CapitalGamma]", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"i2", ",", "d"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"i1", ",", "d"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"s1", ",", "u"}], "}"}]}], "}"}]}], "]"}], 
              RowBox[{"GT", "[", 
               RowBox[{"H", ",", 
                RowBox[{"{", 
                 RowBox[{"{", 
                  RowBox[{"s1", ",", "d"}], "}"}], "}"}]}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"s1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], 
          ")"}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.4089514759929943`*^9, {3.5178237067967873`*^9, 3.51782372377859*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "Print", "[", "\"\<\\n\\n     \[CapitalLambda] = -4\\n\\n\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.551597585073833*^9, 3.551597597204987*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "RF1", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MT", "[", 
    RowBox[{"RF1", ",", "2", ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "d"}], "}"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"RF1", "=", 
      RowBox[{"ST", "[", 
       RowBox[{"RF1", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"i1", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i2", ",", "d"}], "}"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"GT", "[", 
            RowBox[{"G", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"i1", ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"i2", ",", "d"}], "}"}]}], "}"}]}], "]"}], ",", "l"}],
           "]"}], "+", 
         RowBox[{"2", 
          RowBox[{"(", " ", 
           RowBox[{
            RowBox[{"GT", "[", 
             RowBox[{"R2", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"i1", ",", "d"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i2", ",", "d"}], "}"}]}], "}"}]}], "]"}], "+", 
            RowBox[{"4", " ", 
             RowBox[{"GT", "[", 
              RowBox[{"G", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"i1", ",", "d"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"i2", ",", "d"}], "}"}]}], "}"}]}], "]"}]}], "+", 
            " ", 
            RowBox[{"GT", "[", 
             RowBox[{"dH", ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"i1", ",", "d"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i2", ",", "d"}], "}"}]}], "}"}]}], "]"}]}], " ", 
           ")"}]}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.408797573844262*^9, 3.40879762198135*^9}, {
   3.408799327901697*^9, 3.408799351292495*^9}, {3.408800985564945*^9, 
   3.4088009869407597`*^9}, {3.415861529562262*^9, 3.415861529788752*^9}, {
   3.424671218939474*^9, 3.424671225137734*^9}, {3.424671979395668*^9, 
   3.4246719876901283`*^9}, 3.424673490236145*^9, {3.4262333235748873`*^9, 
   3.426233329767264*^9}, {3.431855626568253*^9, 3.4318556468627462`*^9}, {
   3.5515975770359173`*^9, 3.551597577427297*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"repl", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"T", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "T"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Tl"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Tz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Tx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Tzz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Txx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Tzx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"V", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "V"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vl"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vzz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vxx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vzx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "B"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bl"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bzz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bxx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bzx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"S", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "S"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Sl"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Sz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Sx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Szz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Sxx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Szx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"F", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "F"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fl"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fzz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fxx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fzx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"U", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "U"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Ul"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Uz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Ux"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Uzz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Uxx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Uzx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"A", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "A"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Al"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Az"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Ax"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Azz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Axx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Azx"}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.426233462410046*^9, 3.426233529934688*^9}, {
   3.426425823867654*^9, 3.426425926949801*^9}, {3.460305912394334*^9, 
   3.460306053671014*^9}, {3.460307114041431*^9, 3.460307131380796*^9}, {
   3.5033115682122517`*^9, 3.503311569834202*^9}, {3.504000155601179*^9, 
   3.504000163012282*^9}, {3.517581414802555*^9, 3.517581424098625*^9}, 
   3.517824243782352*^9, {3.5178251206831512`*^9, 3.460392807343815*^9}, {
   3.460396802022485*^9, 3.460396867528345*^9}, {3.5515970198615*^9, 
   3.551597241839094*^9}, {3.551613891561685*^9, 3.551613908817973*^9}, {
   3.5516315825526857`*^9, 3.551631594119667*^9}, {3.55167222992194*^9, 
   3.5516722551933413`*^9}, {3.551762261193756*^9, 3.5517622615376797`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"replback", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Gamma]0", "[", 
       RowBox[{"l_Integer", ",", "z", ",", "x"}], "]"}], "\[Rule]", 
      RowBox[{"\[Gamma]0", "[", "l", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Gamma]0", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l_Integer", ",", "z", ",", "x"}], "]"}], "\[Rule]", 
      RowBox[{"\[Gamma]0z", "[", "l", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Gamma]0", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l_Integer", ",", "z", ",", "x"}], "]"}], "\[Rule]", 
      RowBox[{"\[Gamma]0x", "[", "l", "]"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.551762255177924*^9, 3.551762412479105*^9}, {
   3.551762621772348*^9, 3.551762636210601*^9}, {3.551893315621983*^9, 
   3.551893375841885*^9}, 3.5519396045322027`*^9, {3.552284424799806*^9, 
   3.5522844303347387`*^9}, {3.552284501382629*^9, 3.552284507672186*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"replback2", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Gamma]0", "[", "ii", "]"}], "\[Rule]", 
        RowBox[{"ToExpression", "[", 
         RowBox[{"\"\<gam\>\"", "<>", 
          RowBox[{"ToString", "[", "ii", "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", 
         RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], 
      "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Gamma]0z", "[", "ii", "]"}], "\[Rule]", 
        RowBox[{"ToExpression", "[", 
         RowBox[{"\"\<gamz\>\"", "<>", 
          RowBox[{"ToString", "[", "ii", "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", 
         RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], 
      "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Gamma]0x", "[", "ii", "]"}], "\[Rule]", 
        RowBox[{"ToExpression", "[", 
         RowBox[{"\"\<gamx\>\"", "<>", 
          RowBox[{"ToString", "[", "ii", "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", 
         RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], 
      "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.552388142872196*^9, 3.5523881434629602`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"string", "=", "\"\<\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.552388805761578*^9, 3.5523888066522512`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\\nhv = \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"CForm", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"H", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "1"}], "]"}], "]"}], "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Exp", "[", "x_", "]"}], "\[Rule]", 
            RowBox[{"exp", "[", "x", "]"}]}], "}"}]}], "//.", "repl"}], "//.",
         "replback"}], "//.", "replback2"}], "]"}], "]"}], "<>", 
    "\"\< ;\\n\\n\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.551597249591423*^9, {3.5517625895627728`*^9, 3.551762590858609*^9}, {
   3.5523881478936567`*^9, 3.552388149526342*^9}, {3.5523887598026133`*^9, 
   3.552388812259817*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\\nhz = \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"CForm", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"H", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "2"}], "]"}], "]"}], "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Exp", "[", "x_", "]"}], "\[Rule]", 
            RowBox[{"exp", "[", "x", "]"}]}], "}"}]}], "//.", "repl"}], "//.",
         "replback"}], "//.", "replback2"}], "]"}], "]"}], "<>", 
    "\"\< ;\\n\\n\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{{3.460444204796074*^9, 3.460444241314095*^9}, {
  3.5517626442253847`*^9, 3.55176264564946*^9}, {3.552388159158148*^9, 
  3.552388161285514*^9}, {3.5523888004680758`*^9, 3.5523888217553053`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\\nhx = \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"CForm", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"H", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "3"}], "]"}], "]"}], "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Exp", "[", "x_", "]"}], "\[Rule]", 
            RowBox[{"exp", "[", "x", "]"}]}], "}"}]}], "//.", "repl"}], "//.",
         "replback"}], "//.", "replback2"}], "]"}], "]"}], "<>", 
    "\"\< ;\\n\\n\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.46044425034136*^9, {3.551762650081539*^9, 3.551762651369563*^9}, {
   3.552388168430718*^9, 3.5523881693344173`*^9}, {3.552388828323143*^9, 
   3.5523888325471487`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\\nphival = \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"CForm", "[", 
      RowBox[{
       RowBox[{"phi", "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Exp", "[", "x_", "]"}], "\[Rule]", 
          RowBox[{"exp", "[", "x", "]"}]}], "}"}]}], "//.", "repl"}], "]"}], 
     "]"}], "<>", "\"\< ;\\n\\n\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4604442564019127`*^9, 3.460444256594475*^9}, {
  3.552388839002804*^9, 3.552388846994318*^9}}],

Cell[BoxData["string"], "Input",
 CellChangeTimes->{{3.552388852239212*^9, 3.552388852663898*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<Phi7.c\>\"", ",", "string", ",", "\"\<Text\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.552389349297203*^9, 3.552389349942971*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"dlist\[Lambda]", "=", 
    RowBox[{"{", 
     RowBox[{
     "Tl", ",", "Vl", ",", "Bl", ",", "Sl", ",", "Fl", ",", "Ul", ",", "Al"}],
      "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dlistzz", "=", 
    RowBox[{"{", 
     RowBox[{
     "Tzz", ",", "Vzz", ",", "Bzz", ",", "Szz", ",", "Fzz", ",", "Uzz", ",", 
      "Azz"}], "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dlistxx", "=", 
    RowBox[{"{", 
     RowBox[{
     "Txx", ",", "Vxx", ",", "Bxx", ",", "Sxx", ",", "Fxx", ",", "Uxx", ",", 
      "Axx"}], "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dlistzx", "=", 
    RowBox[{"{", 
     RowBox[{
     "Tzx", ",", "Vzx", ",", "Bzx", ",", "Szx", ",", "Fzx", ",", "Uzx", ",", 
      "Azx"}], "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dlist", "=", 
    RowBox[{"{", 
     RowBox[{
     "Tz", ",", "Vz", ",", "Bz", ",", "Sz", ",", "Fz", ",", "Uz", ",", "Az", 
      ",", "Tx", ",", "Vx", ",", "Bx", ",", "Sx", ",", "Fx", ",", "Ux", ",", 
      "Ax"}], "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Gamma]list", "=", 
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"\[Gamma]0", "[", "ii", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"ii", ",", "1", ",", "size\[CapitalGamma]"}], "}"}]}], "]"}],
       ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"\[Gamma]0z", "[", "ii", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"ii", ",", "1", ",", "size\[CapitalGamma]"}], "}"}]}], "]"}],
       ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"\[Gamma]0x", "[", "ii", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"ii", ",", "1", ",", "size\[CapitalGamma]"}], "}"}]}], 
       "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sized\[CapitalGamma]", "=", 
   RowBox[{"Length", "[", "d\[Gamma]list", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.517824939478304*^9, 3.5178249658652477`*^9}, {
   3.517825345546793*^9, 3.517825357952314*^9}, {3.551597298265478*^9, 
   3.5515974044569483`*^9}, {3.552373449131728*^9, 3.552373479091004*^9}, {
   3.552373519505096*^9, 3.5523735322490797`*^9}, {3.5523735893314877`*^9, 
   3.552373600827777*^9}, 3.55237367049076*^9, {3.5523737023845253`*^9, 
   3.552373704523631*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"zerodlist", "=", 
   RowBox[{"Thread", "[", 
    RowBox[{"dlist", "\[Rule]", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", 
         RowBox[{"Length", "[", "dlist", "]"}]}], "}"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.517827055015583*^9, 3.517827077817245*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"allderiv", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
    "dlist\[Lambda]", ",", "dlistzz", ",", "dlistxx", ",", "dlistzx", ",", 
     "dlist"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.517824997155527*^9, 3.517825012540985*^9}, {
  3.51782518467982*^9, 3.5178251854111958`*^9}, {3.551597410750939*^9, 
  3.5515974149730864`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"allvar", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "z", ",", "x", ",", "T", ",", "V", ",", "B", ",", "S", ",", "F", ",", 
       "U", ",", "A"}], "}"}], ",", "allderiv", ",", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Gamma]0", "[", "ii", "]"}], ",", 
          RowBox[{"\[Gamma]0z", "[", "ii", "]"}], ",", 
          RowBox[{"\[Gamma]0x", "[", "ii", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"ii", ",", "1", ",", "size\[CapitalGamma]"}], "}"}]}], "]"}],
       "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.517825461847103*^9, 3.517825502830639*^9}, {
   3.517825546962123*^9, 3.517825549998563*^9}, {3.517825598208082*^9, 
   3.5178255990225143`*^9}, {3.5178272390735703`*^9, 3.460392829797771*^9}, {
   3.460396882947147*^9, 3.4603968873370037`*^9}, {3.551597420655793*^9, 
   3.551597481133582*^9}, {3.5516163512688513`*^9, 3.551616354980811*^9}, {
   3.551631624497096*^9, 3.55163162680092*^9}, {3.551672131299933*^9, 
   3.5516721404513273`*^9}, {3.5517627096694717`*^9, 3.5517627740283213`*^9}, 
   3.552284146344307*^9, {3.552284292997735*^9, 3.552284304006431*^9}, {
   3.5522844178951063`*^9, 3.552284420015059*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"zeroallderiv", "=", 
   RowBox[{"Thread", "[", 
    RowBox[{"allderiv", "\[Rule]", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", 
         RowBox[{"Length", "[", "allderiv", "]"}]}], "}"}]}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.517828665692329*^9, 3.5178286695470448`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"dlist2", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"dlist", "[", 
        RowBox[{"[", "ii", "]"}], "]"}], 
       RowBox[{"dlist", "[", 
        RowBox[{"[", "jj", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"ii", ",", "1", ",", 
        RowBox[{"Length", "[", "dlist", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"jj", ",", "ii", ",", 
        RowBox[{"Length", "[", "dlist", "]"}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5178269895484753`*^9, 3.5178270260336027`*^9}, {
  3.517827312763998*^9, 3.517827331395611*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"randlist", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Thread", "[", 
      RowBox[{"allvar", "->", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Random", "[", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"ii", ",", "1", ",", 
           RowBox[{"Length", "[", "allvar", "]"}]}], "}"}]}], "]"}]}], "]"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"ii", ",", "1", ",", "20"}], "}"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"simplifymaxtime", "=", "1"}], ";"}]], "Input",
 CellChangeTimes->{{3.551767007407095*^9, 3.551767014079145*^9}, {
   3.551767928403037*^9, 3.5517679285670633`*^9}, {3.5522845855917377`*^9, 
   3.5522845936554623`*^9}, 3.552288144598301*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"extract", "[", "expr_", "]"}], ":=", 
   RowBox[{"(", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
     "Print", "[", "\"\<Extract \[CapitalGamma]0 coefficients:\>\"", "]"}], 
     ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"Timing", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"tmpexpr", "=", 
         RowBox[{"(", 
          RowBox[{"expr", "/.", 
           RowBox[{"Thread", "[", 
            RowBox[{"d\[Gamma]list", "\[Rule]", "0"}], "]"}]}], ")"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"tmpexpr2", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Coefficient", "[", 
             RowBox[{"expr", ",", 
              RowBox[{"d\[Gamma]list", "[", 
               RowBox[{"[", "ii", "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"ii", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
           "]"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"deriv\[Lambda]", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Coefficient", "[", 
           RowBox[{"tmpexpr", ",", "dlist\[Lambda]"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"derivzz", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Coefficient", "[", 
           RowBox[{"tmpexpr", ",", "dlistzz"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"derivxx", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Coefficient", "[", 
           RowBox[{"tmpexpr", ",", "dlistxx"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"derivzx", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Coefficient", "[", 
           RowBox[{"tmpexpr", ",", "dlistzx"}], "]"}], "]"}]}], ";"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "\"\<deriv2\>\"", "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"Timing", "[", 
       RowBox[{
        RowBox[{"deriv2", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Coefficient", "[", 
           RowBox[{"tmpexpr", ",", "dlist2"}], "]"}], "]"}]}], ";"}], "]"}], 
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "\"\<deriv1\>\"", "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"Timing", "[", 
       RowBox[{
        RowBox[{"deriv1", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{
           RowBox[{"Coefficient", "[", 
            RowBox[{"tmpexpr", ",", "dlist"}], "]"}], "//.", "zerodlist"}], 
          "]"}]}], ";"}], "]"}], "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "\"\<deriv1\[CapitalGamma]\>\"", "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"Timing", "[", 
       RowBox[{
        RowBox[{"deriv1\[CapitalGamma]", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Coefficient", "[", 
              RowBox[{
               RowBox[{"tmpexpr2", "[", 
                RowBox[{"[", "ii", "]"}], "]"}], ",", "dlist"}], "]"}], "//.",
              "zerodlist"}], ",", 
            RowBox[{"{", 
             RowBox[{"ii", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
           "]"}], "]"}]}], ";"}], "]"}], "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "\"\<noderiv\>\"", "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"Timing", "[", 
       RowBox[{
        RowBox[{"noderiv", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"tmpexpr", "//.", "zeroallderiv"}], "]"}]}], ";"}], "]"}], 
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "\"\<noderiv\[CapitalGamma]\>\"", "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"Timing", "[", 
       RowBox[{
        RowBox[{"noderiv\[CapitalGamma]", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"tmpexpr2", "//.", "zeroallderiv"}], "]"}]}], ";"}], "]"}], 
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<\\nCheck:\\n\\n\>\"", ",", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"expr", "-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"deriv\[Lambda]", ".", "dlist\[Lambda]"}], "+", 
            RowBox[{"derivzz", ".", "dlistzz"}], "+", 
            RowBox[{"derivxx", ".", "dlistxx"}], "+", 
            RowBox[{"derivzx", ".", "dlistzx"}], "+", 
            RowBox[{"deriv1", ".", "dlist"}], "+", 
            RowBox[{"deriv2", ".", "dlist2"}], "+", "noderiv", "+", 
            RowBox[{"Sum", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"deriv1\[CapitalGamma]", "[", 
                   RowBox[{"[", "ii", "]"}], "]"}], ".", "dlist"}], "+", 
                 RowBox[{"noderiv\[CapitalGamma]", "[", 
                  RowBox[{"[", "ii", "]"}], "]"}]}], ")"}], "*", 
               RowBox[{"d\[Gamma]list", "[", 
                RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"ii", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}],
              "]"}]}], ")"}]}], "/.", "randlist"}], "]"}], ",", 
       "\"\<\\n\\n\>\""}], "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
      "deriv\[Lambda]", ",", "derivzz", ",", "derivxx", ",", "derivzx", ",", 
       "deriv1", ",", "deriv2", ",", "noderiv", ",", "deriv1\[CapitalGamma]", 
       ",", "noderiv\[CapitalGamma]"}], "}"}]}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.517825191432572*^9, 3.5178251938533*^9}, {
   3.517828583820703*^9, 3.517828636236395*^9}, {3.517828677980176*^9, 
   3.517828696111575*^9}, {3.51782874494584*^9, 3.5178288515280733`*^9}, {
   3.551597504112151*^9, 3.551597538846211*^9}, {3.551762823833675*^9, 
   3.551762829263749*^9}, {3.5517631614433002`*^9, 3.551763203332573*^9}, {
   3.551763985078229*^9, 3.551764207318165*^9}, {3.551764314143834*^9, 
   3.5517643203936367`*^9}, {3.55176469689773*^9, 3.5517647090934887`*^9}, {
   3.5517666097872963`*^9, 3.551766622045651*^9}, {3.551767021970677*^9, 
   3.551767060955411*^9}, {3.552372996997864*^9, 3.5523730949597073`*^9}, {
   3.552373218178898*^9, 3.552373320830234*^9}, {3.552373399429652*^9, 
   3.5523734177935333`*^9}, {3.552373485385387*^9, 3.552373568087543*^9}, {
   3.552373609535265*^9, 3.552373663922447*^9}, {3.552373714097481*^9, 
   3.552373804519549*^9}, {3.552374790155702*^9, 3.5523747908681393`*^9}, {
   3.552375011673545*^9, 3.55237501764587*^9}, {3.552375051252022*^9, 
   3.552375074862339*^9}, {3.552375109573423*^9, 3.5523751263334093`*^9}, {
   3.5523752155589867`*^9, 3.552375382121031*^9}, 3.552375416054233*^9, {
   3.552375491699973*^9, 3.552375518317487*^9}, {3.552375620242538*^9, 
   3.552375634481347*^9}, {3.552375665606988*^9, 3.552375699750725*^9}, {
   3.552382511354047*^9, 3.552382518910993*^9}}],

Cell[BoxData["ind"], "Input",
 CellChangeTimes->{{3.5515977380685873`*^9, 3.551597738372212*^9}}],

Cell[BoxData["replback"], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tmp", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"RF1", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1", ",", "1"}], "]"}], "]"}], "//.", "repl"}], "//.",
      "replback"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffvv", "=", 
   RowBox[{"extract", "[", "tmp", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.517828863851482*^9, 3.4603883470901337`*^9}, 
   3.46038838109201*^9, {3.551597744381599*^9, 3.551597744893108*^9}, {
   3.551762694332403*^9, 3.551762695548401*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tmp", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"RF1", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "2", ",", "2"}], "]"}], "]"}], "//.", "repl"}], "//.",
      "replback"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffzz", "=", 
   RowBox[{"extract", "[", "tmp", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.460388351796958*^9, 3.460388362522346*^9}, {
   3.460388396835832*^9, 3.460388403884074*^9}, {3.551597693389632*^9, 
   3.551597693613209*^9}, 3.5517627000622683`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tmp", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"RF1", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "3", ",", "3"}], "]"}], "]"}], "//.", "repl"}], "//.",
      "replback"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffxx", "=", 
   RowBox[{"extract", "[", "tmp", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.460388354236719*^9, 3.460388364994575*^9}, {
   3.4603883986118813`*^9, 3.460388406035945*^9}, {3.551597751469598*^9, 
   3.551597751680592*^9}, 3.5517629726426907`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tmp", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"RF1", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "4", ",", "4"}], "]"}], "]"}], "//.", "repl"}], "//.",
      "replback"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffyy", "=", 
   RowBox[{"extract", "[", "tmp", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.551597765543138*^9, 3.551597768605221*^9}, 
   3.551762975811728*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tmp", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"RF1", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], "//.", "repl"}], "//.",
      "replback"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffvz", "=", 
   RowBox[{"extract", "[", "tmp", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.551597787557457*^9, 3.5515977917492447`*^9}, 
   3.551762984626174*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tmp", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"RF1", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1", ",", "3"}], "]"}], "]"}], "//.", "repl"}], "//.",
      "replback"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffvx", "=", 
   RowBox[{"extract", "[", "tmp", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.460388355436696*^9, 3.460388367106613*^9}, {
   3.460388401363799*^9, 3.4603884076680202`*^9}, {3.551597801230867*^9, 
   3.551597806790221*^9}, 3.5517629987618217`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tmp", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"RF1", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "2", ",", "3"}], "]"}], "]"}], "//.", "repl"}], "//.",
      "replback"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffzx", "=", 
   RowBox[{"extract", "[", "tmp", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.460388368517098*^9, 3.460388390820409*^9}, {
   3.551597811063581*^9, 3.5515978192137203`*^9}, {3.551597866621766*^9, 
   3.551597867213418*^9}, 3.551763500379335*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"coeffs", "=", 
   RowBox[{"{", 
    RowBox[{
    "coeffvv", ",", "coeffzz", ",", "coeffxx", ",", "coeffyy", ",", "coeffvz",
      ",", "coeffvx", ",", "coeffzx"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.460389569356962*^9, {3.551597840558717*^9, 3.551597873621025*^9}, {
   3.55159873902374*^9, 3.551598743365527*^9}}],

Cell[BoxData[
 RowBox[{"coeff\[Lambda]", "=", 
  RowBox[{"coeffs", "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4603896237503223`*^9, 3.460389649940551*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Inverse", "[", "coeff\[Lambda]", "]"}], ".", 
  RowBox[{"coeffs", "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.460389658303999*^9, 3.460389664733412*^9}}],

Cell[BoxData[
 RowBox[{"newcoeffzz", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Inverse", "[", "coeff\[Lambda]", "]"}], ".", 
    RowBox[{"coeffs", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4603896732003117`*^9, 3.460389700198414*^9}, {
  3.460389973154498*^9, 3.4603899751557007`*^9}, {3.4603903858056793`*^9, 
  3.460390422230899*^9}, {3.551598058637204*^9, 3.551598059253446*^9}}],

Cell[BoxData[
 RowBox[{"newcoeffxx", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Inverse", "[", "coeff\[Lambda]", "]"}], ".", 
    RowBox[{"coeffs", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "3"}], "]"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.4603897104017572`*^9, 3.460389982684561*^9, 3.4603903900025997`*^9, {
   3.460390427193303*^9, 3.460390428798345*^9}, {3.551598067253458*^9, 
   3.5515980676692877`*^9}}],

Cell[BoxData[
 RowBox[{"newcoeffzx", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Inverse", "[", "coeff\[Lambda]", "]"}], ".", 
    RowBox[{"coeffs", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "4"}], "]"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.460389713609824*^9, 3.460389986692421*^9, 3.460390392216176*^9, {
   3.460390431786374*^9, 3.4603904338304567`*^9}, {3.551598131365718*^9, 
   3.551598131490986*^9}, {3.551599476142797*^9, 3.551599476212925*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"newcoeffderiv1", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Inverse", "[", "coeff\[Lambda]", "]"}], ".", 
     RowBox[{"coeffs", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "5"}], "]"}], "]"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.460389768419777*^9, 3.460389994663455*^9, {3.460390026485517*^9, 
   3.4603900500866823`*^9}, 3.460390394581377*^9, {3.460390441551569*^9, 
   3.460390450191416*^9}, 3.551767987210487*^9, {3.551769097143538*^9, 
   3.551769109079451*^9}, 3.552375750752482*^9}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"newcoeffderiv2", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Inverse", "[", "coeff\[Lambda]", "]"}], ".", 
     RowBox[{"coeffs", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "6"}], "]"}], "]"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.460389677337183*^9, 3.46038967741394*^9}, {
   3.460389736618752*^9, 3.460389758915694*^9}, {3.460389796733444*^9, 
   3.460389803844365*^9}, {3.460390082766027*^9, 3.460390102284062*^9}, {
   3.460390466675829*^9, 3.460390470324645*^9}, 3.551767988826386*^9, {
   3.5517691022227592`*^9, 3.551769112078238*^9}, 3.5523757692480497`*^9}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"newcoeffnoderiv", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Inverse", "[", "coeff\[Lambda]", "]"}], ".", 
     RowBox[{"coeffs", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "7"}], "]"}], "]"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.460389804978067*^9, {3.4603904743722563`*^9, 3.4603904787840433`*^9}, {
   3.4603920136607027`*^9, 3.460392015585368*^9}, {3.460392419386147*^9, 
   3.46039242142269*^9}, {3.460392996645005*^9, 3.4603929972181597`*^9}, {
   3.46039309162958*^9, 3.460393092124995*^9}, 3.551767992306505*^9, {
   3.551769113622067*^9, 3.551769116086306*^9}, 3.5523757753441267`*^9}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"newcoeffderiv1\[CapitalGamma]", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Inverse", "[", "coeff\[Lambda]", "]"}], ".", 
     RowBox[{"coeffs", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "8"}], "]"}], "]"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.460389768419777*^9, 3.460389994663455*^9, {3.460390026485517*^9, 
   3.4603900500866823`*^9}, 3.460390394581377*^9, {3.460390441551569*^9, 
   3.460390450191416*^9}, 3.551767987210487*^9, {3.551769097143538*^9, 
   3.551769109079451*^9}, 3.552375750752482*^9, {3.5523757878966103`*^9, 
   3.552375794255166*^9}, 3.552375843417843*^9}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"newcoeffnoderiv\[CapitalGamma]", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Inverse", "[", "coeff\[Lambda]", "]"}], ".", 
     RowBox[{"coeffs", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "9"}], "]"}], "]"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5523758385865927`*^9, 3.552375844841704*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Linearize", "Subsubtitle",
 CellChangeTimes->{{3.460389558463635*^9, 3.460389558896888*^9}, {
  3.518329365085441*^9, 3.51832936765899*^9}, {3.551672298222005*^9, 
  3.551672298909021*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzzT", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzz", ",", "T"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzzV", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzz", ",", "V"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzzB", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzz", ",", "B"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzzS", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzz", ",", "S"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzzF", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzz", ",", "F"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzzU", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzz", ",", "U"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"newcoeffzzA", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"newcoeffzz", ",", "A"}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5183297400699463`*^9, 3.5183297643107977`*^9}, {
  3.551598894409256*^9, 3.551598909062891*^9}, {3.551598949024968*^9, 
  3.551598975904023*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffxxT", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffxx", ",", "T"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffxxV", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffxx", ",", "V"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffxxB", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffxx", ",", "B"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffxxS", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffxx", ",", "S"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffxxF", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffxx", ",", "F"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffxxU", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffxx", ",", "U"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"newcoeffxxA", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"newcoeffxx", ",", "A"}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518329772304187*^9, 3.51832978387881*^9}, {
  3.551598910079123*^9, 3.551598921974918*^9}, {3.551598984126237*^9, 
  3.551599005199995*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzxT", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzx", ",", "T"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzxV", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzx", ",", "V"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzxB", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzx", ",", "B"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzxS", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzx", ",", "S"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzxF", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzx", ",", "F"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"newcoeffzxU", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffzx", ",", "U"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"newcoeffzxA", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"newcoeffzx", ",", "A"}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5183297888002996`*^9, 3.518329800494968*^9}, {
  3.551598923838731*^9, 3.55159893895086*^9}, {3.551599011566231*^9, 
  3.551599034064002*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1T", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1", ",", "T"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680364722853`*^9}, {
  3.551768067951092*^9, 3.5517680697908916`*^9}, {3.552376065223118*^9, 
  3.5523760807713423`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1V", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1", ",", "V"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.551768038383298*^9}, {
  3.551768072953141*^9, 3.551768086087926*^9}, {3.552376088880918*^9, 
  3.552376089297255*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1B", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1", ",", "B"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680397032413`*^9}, {
  3.551768073888976*^9, 3.551768086662898*^9}, {3.552376093441983*^9, 
  3.552376093882605*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1S", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1", ",", "S"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680873509502`*^9}, {
  3.552376098457904*^9, 3.552376098899781*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1F", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1", ",", "F"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680879599037`*^9}, {
  3.552376101809667*^9, 3.5523761037527018`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1U", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1", ",", "U"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680894628277`*^9}, {
  3.552376108113661*^9, 3.552376108535081*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1A", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1", ",", "A"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680901106787`*^9}, {
  3.5523761129455843`*^9, 3.552376113384926*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv2T", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv2", ",", "T"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.55159906871035*^9, 3.551599108976749*^9}, {3.551768008507045*^9, 
  3.551768014157053*^9}, {3.551768052942964*^9, 3.551768090742771*^9}, {
  3.5523761177706547`*^9, 3.552376118176971*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv2V", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv2", ",", "V"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.55159906871035*^9, 3.551599108976749*^9}, {3.551768008507045*^9, 
  3.551768014157053*^9}, {3.551768052942964*^9, 3.551768091270733*^9}, {
  3.552376121048572*^9, 3.5523761214659033`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv2B", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv2", ",", "B"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.55159906871035*^9, 3.551599108976749*^9}, {3.551768008507045*^9, 
  3.551768014157053*^9}, {3.551768052942964*^9, 3.55176809204673*^9}, {
  3.552376124065299*^9, 3.5523761245221167`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv2S", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv2", ",", "S"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.55159906871035*^9, 3.551599108976749*^9}, {3.551768008507045*^9, 
  3.551768014157053*^9}, {3.551768052942964*^9, 3.551768092878716*^9}, {
  3.552376127873316*^9, 3.552376128295483*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv2F", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv2", ",", "F"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.55159906871035*^9, 3.551599108976749*^9}, {3.551768008507045*^9, 
  3.551768014157053*^9}, {3.551768052942964*^9, 3.551768093422666*^9}, {
  3.552376131113369*^9, 3.552376131518879*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv2U", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv2", ",", "U"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.55159906871035*^9, 3.551599108976749*^9}, {3.551768008507045*^9, 
  3.551768014157053*^9}, {3.551768052942964*^9, 3.5517680940066*^9}, {
  3.552376134184392*^9, 3.552376134641902*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv2A", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv2", ",", "A"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.55159906871035*^9, 3.551599108976749*^9}, {3.551768008507045*^9, 
  3.551768014157053*^9}, {3.551768052942964*^9, 3.551768094542534*^9}, {
  3.5523761371931953`*^9, 3.552376137664575*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderivT", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv", ",", "T"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, 3.551612956908161*^9, 3.551768015953968*^9, {
   3.551768080640874*^9, 3.551768095190763*^9}, 3.551775071458528*^9, 
   3.551775279865828*^9, {3.5523761461289053`*^9, 3.55237614659872*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderivV", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv", ",", "V"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.551612960016829*^9}, 
   3.5517680172656393`*^9, {3.5517680812090282`*^9, 3.551768095734535*^9}, 
   3.5517750732253103`*^9, 3.5517752911813717`*^9, {3.552376150072937*^9, 
   3.552376150552972*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderivB", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv", ",", "B"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.551612961512801*^9}, 
   3.551768018249938*^9, {3.551768081744769*^9, 3.551768096262638*^9}, 
   3.551775074089382*^9, 3.5517752932006617`*^9, {3.5523761546402693`*^9, 
   3.552376155115431*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderivS", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv", ",", "S"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.5516129624648123`*^9}, 
   3.551768019209785*^9, {3.551768082266149*^9, 3.5517680967506447`*^9}, 
   3.551775074705207*^9, 3.551775295920693*^9, {3.552376158200809*^9, 
   3.552376158639065*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderivF", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv", ",", "F"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.551612963440754*^9}, 
   3.551768020193858*^9, {3.551768082770097*^9, 3.551768098126416*^9}, 
   3.55177507539332*^9, 3.551775298179675*^9, {3.552376161704565*^9, 
   3.552376162179226*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderivU", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv", ",", "U"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.551612964480654*^9}, 
   3.551768021073751*^9, {3.551768083264633*^9, 3.5517680994945374`*^9}, 
   3.551775076265286*^9, 3.5517753012416677`*^9, {3.552376165000474*^9, 
   3.5523761654830427`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderivA", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv", ",", "A"}], "]"}], "]"}]}], ";"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.551612964480654*^9}, 
   3.551768022113583*^9, {3.551768083728653*^9, 3.551768101022666*^9}, 
   3.55177507692934*^9, 3.551775303368554*^9, {3.552376168360408*^9, 
   3.552376168790979*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1\[CapitalGamma]T", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1\[CapitalGamma]", ",", "T"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680364722853`*^9}, {
  3.551768067951092*^9, 3.5517680697908916`*^9}, {3.552376065223118*^9, 
  3.5523760807713423`*^9}, {3.552376220425634*^9, 3.552376227665053*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1\[CapitalGamma]V", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1\[CapitalGamma]", ",", "V"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.551768038383298*^9}, {
  3.551768072953141*^9, 3.551768086087926*^9}, {3.552376088880918*^9, 
  3.552376089297255*^9}, {3.552376229106221*^9, 3.552376242434175*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1\[CapitalGamma]B", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1\[CapitalGamma]", ",", "B"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680397032413`*^9}, {
  3.551768073888976*^9, 3.551768086662898*^9}, {3.552376093441983*^9, 
  3.552376093882605*^9}, {3.5523762300501623`*^9, 3.552376241209573*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1\[CapitalGamma]S", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1\[CapitalGamma]", ",", "S"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680873509502`*^9}, {
  3.552376098457904*^9, 3.552376098899781*^9}, {3.552376231362364*^9, 
  3.552376239817938*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1\[CapitalGamma]F", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1\[CapitalGamma]", ",", "F"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680879599037`*^9}, {
  3.552376101809667*^9, 3.5523761037527018`*^9}, {3.5523762325298853`*^9, 
  3.552376238906086*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1\[CapitalGamma]U", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1\[CapitalGamma]", ",", "U"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680894628277`*^9}, {
  3.552376108113661*^9, 3.552376108535081*^9}, {3.5523762337941103`*^9, 
  3.5523762374019117`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffderiv1\[CapitalGamma]A", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffderiv1\[CapitalGamma]", ",", "A"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.518329626902732*^9, 3.518329652758658*^9}, {
  3.518329701795911*^9, 3.518329711829796*^9}, {3.5515990645263023`*^9, 
  3.551599095344243*^9}, {3.551768000196114*^9, 3.5517680901106787`*^9}, {
  3.5523761129455843`*^9, 3.552376113384926*^9}, {3.552376234890127*^9, 
  3.552376236529778*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderiv\[CapitalGamma]T", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv\[CapitalGamma]", ",", "T"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, 3.551612956908161*^9, 3.551768015953968*^9, {
   3.551768080640874*^9, 3.551768095190763*^9}, 3.551775071458528*^9, 
   3.551775279865828*^9, {3.5523761461289053`*^9, 3.55237614659872*^9}, {
   3.55237627332275*^9, 3.5523762863447533`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderiv\[CapitalGamma]V", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv\[CapitalGamma]", ",", "V"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.551612960016829*^9}, 
   3.5517680172656393`*^9, {3.5517680812090282`*^9, 3.551768095734535*^9}, 
   3.5517750732253103`*^9, 3.5517752911813717`*^9, {3.552376150072937*^9, 
   3.552376150552972*^9}, {3.552376274281152*^9, 3.552376285168748*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderiv\[CapitalGamma]B", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv\[CapitalGamma]", ",", "B"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.551612961512801*^9}, 
   3.551768018249938*^9, {3.551768081744769*^9, 3.551768096262638*^9}, 
   3.551775074089382*^9, 3.5517752932006617`*^9, {3.5523761546402693`*^9, 
   3.552376155115431*^9}, {3.552376275097076*^9, 3.5523762841208687`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderiv\[CapitalGamma]S", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv\[CapitalGamma]", ",", "S"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.5516129624648123`*^9}, 
   3.551768019209785*^9, {3.551768082266149*^9, 3.5517680967506447`*^9}, 
   3.551775074705207*^9, 3.551775295920693*^9, {3.552376158200809*^9, 
   3.552376158639065*^9}, {3.552376275897099*^9, 3.5523762830566607`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderiv\[CapitalGamma]F", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv\[CapitalGamma]", ",", "F"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.551612963440754*^9}, 
   3.551768020193858*^9, {3.551768082770097*^9, 3.551768098126416*^9}, 
   3.55177507539332*^9, 3.551775298179675*^9, {3.552376161704565*^9, 
   3.552376162179226*^9}, {3.552376276825028*^9, 3.552376282040662*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderiv\[CapitalGamma]U", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv\[CapitalGamma]", ",", "U"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.551612964480654*^9}, 
   3.551768021073751*^9, {3.551768083264633*^9, 3.5517680994945374`*^9}, 
   3.551775076265286*^9, 3.5517753012416677`*^9, {3.552376165000474*^9, 
   3.5523761654830427`*^9}, {3.5523762776249323`*^9, 3.5523762811847754`*^9}}],

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"newcoeffnoderiv\[CapitalGamma]A", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"newcoeffnoderiv\[CapitalGamma]", ",", "A"}], "]"}], "]"}]}], 
   ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.5183294084056883`*^9, 3.5183294568601093`*^9}, {
   3.5183295077344646`*^9, 3.518329537734762*^9}, {3.5515991174155483`*^9, 
   3.551599139064987*^9}, {3.551612956908161*^9, 3.551612964480654*^9}, 
   3.551768022113583*^9, {3.551768083728653*^9, 3.551768101022666*^9}, 
   3.55177507692934*^9, 3.551775303368554*^9, {3.552376168360408*^9, 
   3.552376168790979*^9}, {3.552376278624971*^9, 3.552376280144775*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Process", "Subsubtitle",
 CellChangeTimes->{{3.518333016771228*^9, 3.518333021644429*^9}, {
  3.55161270206635*^9, 3.551612703225312*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EqX", "=", 
   RowBox[{
    RowBox[{"newcoeffzz", ".", "dlistzz"}], "+", 
    RowBox[{"newcoeffxx", ".", "dlistxx"}], "+", 
    RowBox[{"newcoeffzx", ".", "dlistzx"}], "+", 
    RowBox[{"newcoeffderiv1", ".", "dlist"}], "+", 
    RowBox[{"newcoeffderiv2", ".", "dlist2"}], "+", "newcoeffnoderiv", "+", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"newcoeffderiv1\[CapitalGamma]", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "ii"}], "]"}], "]"}], ".", "dlist"}], "+", 
         RowBox[{"newcoeffnoderiv\[CapitalGamma]", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", "ii"}], "]"}], "]"}]}], ")"}], "*", 
       RowBox[{"d\[Gamma]list", "[", 
        RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"ii", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
     "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.518339740784905*^9, 3.518339769191586*^9}, {
   3.518340396834127*^9, 3.5183404128166924`*^9}, 3.518340475609181*^9, {
   3.5515991559895973`*^9, 3.551599165669901*^9}, {3.552375911105136*^9, 
   3.5523759562320023`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"coeffzz", "=", 
   RowBox[{"newcoeffzz", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffxx", "=", 
   RowBox[{"newcoeffxx", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"coeffzx", "=", 
  RowBox[{"newcoeffzx", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.518330025606043*^9, 3.5183300270315247`*^9}, {
  3.518331587749983*^9, 3.518331596094022*^9}, {3.5183316290062847`*^9, 
  3.518331649941944*^9}, {3.518333008639085*^9, 3.5183330096254272`*^9}, {
  3.551599168565712*^9, 3.551599176885666*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"newcoeffzz", "/", "coeffzz"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"newcoeffxx", "/", "coeffxx"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"newcoeffzx", "/", "coeffzx"}], "]"}]}], "Input",
 CellChangeTimes->{{3.518331616405706*^9, 3.518331616595892*^9}, {
  3.518331651932749*^9, 3.518331663484849*^9}, {3.551599179500704*^9, 
  3.5515991870046263`*^9}, {3.55159951668648*^9, 3.551599518796297*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dlist", "[", 
   RowBox[{"[", 
    RowBox[{"1", ";;", "7"}], "]"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dEqdXz", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "=", 
        RowBox[{"dlist", "[", 
         RowBox[{"[", "ii", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"newcoeffderiv1", ".", 
         RowBox[{"D", "[", 
          RowBox[{"dlist", ",", "var"}], "]"}]}], "+", 
        RowBox[{"newcoeffderiv2", ".", 
         RowBox[{"D", "[", 
          RowBox[{"dlist2", ",", "var"}], "]"}]}], "+", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"newcoeffderiv1\[CapitalGamma]", "[", 
              RowBox[{"[", 
               RowBox[{"All", ",", "kk"}], "]"}], "]"}], ".", 
             RowBox[{"D", "[", 
              RowBox[{"dlist", ",", "var"}], "]"}]}], ")"}], "*", 
           RowBox[{"d\[Gamma]list", "[", 
            RowBox[{"[", "kk", "]"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"kk", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
         "]"}]}]}], "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"ii", ",", "1", ",", "7"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.518333227103704*^9, {3.518333480232041*^9, 3.4604594574152613`*^9}, {
   3.5515991935665407`*^9, 3.551599216672653*^9}, {3.5523763562587957`*^9, 
   3.5523763947057037`*^9}, {3.5523766107165537`*^9, 
   3.5523766110994177`*^9}, {3.55238474436119*^9, 3.552384776703524*^9}, 
   3.55238485996684*^9, {3.5523850643919764`*^9, 3.552385065478674*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dlist", "[", 
   RowBox[{"[", 
    RowBox[{"8", ";;", "14"}], "]"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dEqdXx", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"Table", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "=", 
        RowBox[{"dlist", "[", 
         RowBox[{"[", "ii", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"newcoeffderiv1", ".", 
         RowBox[{"D", "[", 
          RowBox[{"dlist", ",", "var"}], "]"}]}], "+", 
        RowBox[{"newcoeffderiv2", ".", 
         RowBox[{"D", "[", 
          RowBox[{"dlist2", ",", "var"}], "]"}]}], "+", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"newcoeffderiv1\[CapitalGamma]", "[", 
              RowBox[{"[", 
               RowBox[{"All", ",", "kk"}], "]"}], "]"}], ".", 
             RowBox[{"D", "[", 
              RowBox[{"dlist", ",", "var"}], "]"}]}], ")"}], "*", 
           RowBox[{"d\[Gamma]list", "[", 
            RowBox[{"[", "kk", "]"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"kk", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
         "]"}]}]}], "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"ii", ",", "8", ",", "14"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5183334883182907`*^9, 3.46045946456726*^9}, 
   3.460471775277463*^9, {3.5515992014706907`*^9, 3.551599222545547*^9}, 
   3.55237641857863*^9, {3.552376616963833*^9, 3.552376617411324*^9}, {
   3.552384749649212*^9, 3.552384782743602*^9}, 3.552384861678623*^9, 
   3.552385067287163*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"dEqdT", "=", 
    RowBox[{
     RowBox[{"newcoeffzzT", ".", "dlistzz"}], "+", 
     RowBox[{"newcoeffxxT", ".", "dlistxx"}], "+", 
     RowBox[{"newcoeffzxT", ".", "dlistzx"}], "+", 
     RowBox[{"newcoeffderiv1T", ".", "dlist"}], "+", 
     RowBox[{"newcoeffderiv2T", ".", "dlist2"}], "+", "newcoeffnoderivT", "+", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"newcoeffderiv1\[CapitalGamma]T", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "ii"}], "]"}], "]"}], ".", "dlist"}], "+", 
          RowBox[{"newcoeffnoderiv\[CapitalGamma]T", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "ii"}], "]"}], "]"}]}], ")"}], "*", 
        RowBox[{"d\[Gamma]list", "[", 
         RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dEqdV", "=", 
    RowBox[{
     RowBox[{"newcoeffzzV", ".", "dlistzz"}], "+", 
     RowBox[{"newcoeffxxV", ".", "dlistxx"}], "+", 
     RowBox[{"newcoeffzxV", ".", "dlistzx"}], "+", 
     RowBox[{"newcoeffderiv1V", ".", "dlist"}], "+", 
     RowBox[{"newcoeffderiv2V", ".", "dlist2"}], "+", "newcoeffnoderivV", "+", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"newcoeffderiv1\[CapitalGamma]V", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "ii"}], "]"}], "]"}], ".", "dlist"}], "+", 
          RowBox[{"newcoeffnoderiv\[CapitalGamma]V", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "ii"}], "]"}], "]"}]}], ")"}], "*", 
        RowBox[{"d\[Gamma]list", "[", 
         RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dEqdB", "=", 
    RowBox[{
     RowBox[{"newcoeffzzB", ".", "dlistzz"}], "+", 
     RowBox[{"newcoeffxxB", ".", "dlistxx"}], "+", 
     RowBox[{"newcoeffzxB", ".", "dlistzx"}], "+", 
     RowBox[{"newcoeffderiv1B", ".", "dlist"}], "+", 
     RowBox[{"newcoeffderiv2B", ".", "dlist2"}], "+", "newcoeffnoderivB", "+", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"newcoeffderiv1\[CapitalGamma]B", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "ii"}], "]"}], "]"}], ".", "dlist"}], "+", 
          RowBox[{"newcoeffnoderiv\[CapitalGamma]B", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "ii"}], "]"}], "]"}]}], ")"}], "*", 
        RowBox[{"d\[Gamma]list", "[", 
         RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dEqdS", "=", 
    RowBox[{
     RowBox[{"newcoeffzzS", ".", "dlistzz"}], "+", 
     RowBox[{"newcoeffxxS", ".", "dlistxx"}], "+", 
     RowBox[{"newcoeffzxS", ".", "dlistzx"}], "+", 
     RowBox[{"newcoeffderiv1S", ".", "dlist"}], "+", 
     RowBox[{"newcoeffderiv2S", ".", "dlist2"}], "+", "newcoeffnoderivS", "+", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"newcoeffderiv1\[CapitalGamma]S", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "ii"}], "]"}], "]"}], ".", "dlist"}], "+", 
          RowBox[{"newcoeffnoderiv\[CapitalGamma]S", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "ii"}], "]"}], "]"}]}], ")"}], "*", 
        RowBox[{"d\[Gamma]list", "[", 
         RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dEqdF", "=", 
    RowBox[{
     RowBox[{"newcoeffzzF", ".", "dlistzz"}], "+", 
     RowBox[{"newcoeffxxF", ".", "dlistxx"}], "+", 
     RowBox[{"newcoeffzxF", ".", "dlistzx"}], "+", 
     RowBox[{"newcoeffderiv1F", ".", "dlist"}], "+", 
     RowBox[{"newcoeffderiv2F", ".", "dlist2"}], "+", "newcoeffnoderivF", "+", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"newcoeffderiv1\[CapitalGamma]F", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "ii"}], "]"}], "]"}], ".", "dlist"}], "+", 
          RowBox[{"newcoeffnoderiv\[CapitalGamma]F", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "ii"}], "]"}], "]"}]}], ")"}], "*", 
        RowBox[{"d\[Gamma]list", "[", 
         RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dEqdU", "=", 
    RowBox[{
     RowBox[{"newcoeffzzU", ".", "dlistzz"}], "+", 
     RowBox[{"newcoeffxxU", ".", "dlistxx"}], "+", 
     RowBox[{"newcoeffzxU", ".", "dlistzx"}], "+", 
     RowBox[{"newcoeffderiv1U", ".", "dlist"}], "+", 
     RowBox[{"newcoeffderiv2U", ".", "dlist2"}], "+", "newcoeffnoderivU", "+", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"newcoeffderiv1\[CapitalGamma]U", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "ii"}], "]"}], "]"}], ".", "dlist"}], "+", 
          RowBox[{"newcoeffnoderiv\[CapitalGamma]U", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "ii"}], "]"}], "]"}]}], ")"}], "*", 
        RowBox[{"d\[Gamma]list", "[", 
         RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
      "]"}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dEqdA", "=", 
   RowBox[{
    RowBox[{"newcoeffzzA", ".", "dlistzz"}], "+", 
    RowBox[{"newcoeffxxA", ".", "dlistxx"}], "+", 
    RowBox[{"newcoeffzxA", ".", "dlistzx"}], "+", 
    RowBox[{"newcoeffderiv1A", ".", "dlist"}], "+", 
    RowBox[{"newcoeffderiv2A", ".", "dlist2"}], "+", "newcoeffnoderivA", "+", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"newcoeffderiv1\[CapitalGamma]A", "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "ii"}], "]"}], "]"}], ".", "dlist"}], "+", 
         RowBox[{"newcoeffnoderiv\[CapitalGamma]A", "[", 
          RowBox[{"[", 
           RowBox[{"All", ",", "ii"}], "]"}], "]"}]}], ")"}], "*", 
       RowBox[{"d\[Gamma]list", "[", 
        RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"ii", ",", "1", ",", "sized\[CapitalGamma]"}], "}"}]}], 
     "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518332672762429*^9, 3.518332703948852*^9}, {
  3.518332739919044*^9, 3.518332764548563*^9}, {3.518333064991692*^9, 
  3.518333065422656*^9}, {3.5183331259113207`*^9, 3.518333196997417*^9}, {
  3.551599236996614*^9, 3.5515993482461033`*^9}, {3.552376644539255*^9, 
  3.552376714737051*^9}}],

Cell[BoxData[
 RowBox[{"Dimensions", "[", "dEqdXz", "]"}]], "Input",
 CellChangeTimes->{{3.5183337577506247`*^9, 3.518333767948503*^9}, {
  3.551599534068824*^9, 3.551599534121862*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Writeout", "Subsubtitle",
 CellChangeTimes->{{3.460389558463635*^9, 3.460389558896888*^9}, {
  3.460389609430746*^9, 3.4603896114348288`*^9}, {3.5183299969175587`*^9, 
  3.5183299978831244`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"repl", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Gamma]0", "[", "ii", "]"}], "\[Rule]", 
        RowBox[{"ToExpression", "[", 
         RowBox[{"\"\<gam\>\"", "<>", 
          RowBox[{"ToString", "[", "ii", "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", 
         RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], 
      "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Gamma]0z", "[", "ii", "]"}], "\[Rule]", 
        RowBox[{"ToExpression", "[", 
         RowBox[{"\"\<gamz\>\"", "<>", 
          RowBox[{"ToString", "[", "ii", "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", 
         RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], 
      "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Gamma]0x", "[", "ii", "]"}], "\[Rule]", 
        RowBox[{"ToExpression", "[", 
         RowBox[{"\"\<gamx\>\"", "<>", 
          RowBox[{"ToString", "[", "ii", "]"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "1", ",", 
         RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], 
      "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5183318727983723`*^9, 3.5183319048853703`*^9}, 
   3.5183326520968113`*^9, 3.551599579557901*^9, 3.552376994379416*^9}],

Cell[BoxData[
 RowBox[{"SetDirectory", "[", "\"\<~/Work/Shocks/\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.518335047259989*^9, 3.4604575247587214`*^9}, {
   3.518956058181387*^9, 3.518956058460064*^9}, {3.542470251559609*^9, 
   3.542470265311243*^9}, {3.551599549399745*^9, 3.551599550076487*^9}, 
   3.551612728835433*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"string", "=", "\"\<\\n\\n\>\""}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"EqX", "[", 
          RowBox[{"[", "ii", "]"}], "]"}], "//.", "repl"}], "]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<EqX[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp"}]}], ";"}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "7"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518340465803512*^9, 3.518340491929764*^9}, 
   3.551599710032827*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<EqnAnsatz7.c\>\"", ",", "string", ",", "\"\<Text\>\""}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.5183405071532507`*^9, 3.518340509007971*^9}, {
  3.5435574336584*^9, 3.543557435017489*^9}, {3.551772487938365*^9, 
  3.551772488009243*^9}, {3.551939908292368*^9, 3.551939908380044*^9}, {
  3.552376747951091*^9, 3.552376748022991*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"string", "=", "\"\<\\n\\n\>\""}], ";"}]], "Input",
 CellChangeTimes->{{3.518333647605736*^9, 3.518333649032753*^9}, {
  3.518333725854959*^9, 3.5183337278449717`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"string", "=", 
    RowBox[{"string", "<>", "\"\<coeffzz = \>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"CForm", "[", 
       RowBox[{"coeffzz", "//.", "repl"}], "]"}], "]"}], "<>", 
     "\"\< ; \\n\>\""}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"string", "=", 
    RowBox[{"string", "<>", "\"\<coeffxx = \>\"", "<>", 
     RowBox[{"ToString", "[", 
      RowBox[{"CForm", "[", 
       RowBox[{"coeffxx", "//.", "repl"}], "]"}], "]"}], "<>", 
     "\"\< ; \\n\>\""}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<coeffzx = \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"CForm", "[", 
      RowBox[{"coeffzx", "//.", "repl"}], "]"}], "]"}], "<>", 
    "\"\< ; \\n\\n\>\""}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518333650719015*^9, 3.460457184086981*^9}, {
  3.551599594431828*^9, 3.55159960117584*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"dEqdXz", "[", 
          RowBox[{"[", 
           RowBox[{"ii", ",", "jj"}], "]"}], "]"}], "//.", "repl"}], "]"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<dEqXz[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<][\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"jj", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp"}]}], ";"}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"jj", ",", "1", ",", "7"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518331809661859*^9, 3.518332028823266*^9}, {
  3.518332086975601*^9, 3.518332107464229*^9}, {3.518332211916683*^9, 
  3.5183322173586197`*^9}, {3.51833477610849*^9, 3.5183348288545113`*^9}, {
  3.551599606656349*^9, 3.551599611984172*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"dEqdXx", "[", 
          RowBox[{"[", 
           RowBox[{"ii", ",", "jj"}], "]"}], "]"}], "//.", "repl"}], "]"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<dEqXx[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<][\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"jj", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp"}]}], ";"}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"jj", ",", "1", ",", "7"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518334835075614*^9, 3.5183348365946302`*^9}, {
  3.551599613768277*^9, 3.551599619848339*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"dEqdT", "[", 
          RowBox[{"[", "ii", "]"}], "]"}], "//.", "repl"}], "]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<dEqT[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp"}]}], ";"}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "7"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518334872457034*^9, 3.518334909666383*^9}, 
   3.551599623743568*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"dEqdV", "[", 
          RowBox[{"[", "ii", "]"}], "]"}], "//.", "repl"}], "]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<dEqV[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp"}]}], ";"}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "7"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"string", "=", 
    RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"dEqdB", "[", 
          RowBox[{"[", "ii", "]"}], "]"}], "//.", "repl"}], "]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<dEqB[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp"}]}], ";"}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "7"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"string", "=", 
    RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"dEqdS", "[", 
          RowBox[{"[", "ii", "]"}], "]"}], "//.", "repl"}], "]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<dEqS[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp"}]}], ";"}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "7"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"string", "=", 
    RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"dEqdF", "[", 
          RowBox[{"[", "ii", "]"}], "]"}], "//.", "repl"}], "]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<dEqF[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp"}]}], ";"}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "7"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"dEqdU", "[", 
          RowBox[{"[", "ii", "]"}], "]"}], "//.", "repl"}], "]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<dEqU[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp"}]}], ";"}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "7"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"dEqdA", "[", 
          RowBox[{"[", "ii", "]"}], "]"}], "//.", "repl"}], "]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<dEqA[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp"}]}], ";"}], "\[IndentingNewLine]", 
    ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "7"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518334917457026*^9, 3.518334955500956*^9}, {
  3.5515996282268343`*^9, 3.551599693103319*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<LicheqAnsatz7.c\>\"", ",", "string", ",", "\"\<Text\>\""}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.518335089624618*^9, 3.5183350904782057`*^9}, {
   3.5183351461684113`*^9, 3.518335183038703*^9}, 3.5435574420749207`*^9, {
   3.551772499857088*^9, 3.55177249998493*^9}, {3.5519399263956842`*^9, 
   3.551939927235689*^9}, {3.552376742567439*^9, 3.552376742631349*^9}}],

Cell[BoxData["dlist"], "Input",
 CellChangeTimes->{{3.460459077169083*^9, 3.46045907770472*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Background", "Subsubtitle",
 CellChangeTimes->{{3.5517758776126137`*^9, 3.5517758836719847`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"repl", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"r", "[", "x", "]"}], "\[Rule]", "r"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "'"}], "[", "x", "]"}], "\[Rule]", "rx"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "''"}], "[", "x", "]"}], "\[Rule]", "rxx"}], ",", 
     RowBox[{
      RowBox[{"z0", "[", "x", "]"}], "\[Rule]", "z0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"z0", "'"}], "[", "x", "]"}], "\[Rule]", "z0x"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"z0", "''"}], "[", "x", "]"}], "\[Rule]", "z0xx"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5517779977014227`*^9, 3.5517780166796627`*^9}, {
  3.552358659241379*^9, 3.552358681165401*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"T0", "[", 
    RowBox[{"l_", ",", "z_", ",", "x_"}], "]"}], ":=", 
   RowBox[{"1", "-", 
    RowBox[{
     FractionBox[
      SuperscriptBox["z", "4"], 
      RowBox[{
       RowBox[{"z0", "[", "x", "]"}], "^", "4"}]], " ", 
     SuperscriptBox[
      RowBox[{"Cosh", "[", 
       RowBox[{"r", "[", "x", "]"}], "]"}], "2"]}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"V0", "[", 
    RowBox[{"l_", ",", "z_", ",", "x_"}], "]"}], ":=", 
   RowBox[{"Cosh", "[", 
    RowBox[{"r", "[", "x", "]"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"B0", "[", 
    RowBox[{"l_", ",", "z_", ",", "x_"}], "]"}], ":=", 
   RowBox[{"1", "+", 
    RowBox[{
     FractionBox[
      SuperscriptBox["z", "4"], 
      RowBox[{
       RowBox[{"z0", "[", "x", "]"}], "^", "4"}]], 
     SuperscriptBox[
      RowBox[{"Sinh", "[", 
       RowBox[{"r", "[", "x", "]"}], "]"}], "2"]}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"S0", "[", 
    RowBox[{"l_", ",", "z_", ",", "x_"}], "]"}], ":=", "1"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"F0", "[", 
    RowBox[{"l_", ",", "z_", ",", "x_"}], "]"}], ":=", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"Sinh", "[", 
      RowBox[{"r", "[", "x", "]"}], "]"}], 
     RowBox[{"1", "+", 
      RowBox[{
       FractionBox[
        SuperscriptBox["z", "4"], 
        RowBox[{
         RowBox[{"z0", "[", "x", "]"}], "^", "4"}]], " ", 
       SuperscriptBox[
        RowBox[{"Sinh", "[", 
         RowBox[{"r", "[", "x", "]"}], "]"}], "2"]}]}]]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"U0", "[", 
    RowBox[{"l_", ",", "z_", ",", "x_"}], "]"}], ":=", 
   RowBox[{
    FractionBox[
     SuperscriptBox["z", "4"], 
     RowBox[{
      RowBox[{"z0", "[", "x", "]"}], "^", "4"}]], " ", 
    RowBox[{"Cosh", "[", 
     RowBox[{"r", "[", "x", "]"}], "]"}], " ", 
    RowBox[{"Sinh", "[", 
     RowBox[{"r", "[", "x", "]"}], "]"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A0", "[", 
   RowBox[{"l_", ",", "z_", ",", "x_"}], "]"}], ":=", 
  RowBox[{"-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"Sinh", "[", 
      RowBox[{"r", "[", "x", "]"}], "]"}], "2"], 
    RowBox[{"1", "+", 
     RowBox[{
      FractionBox[
       SuperscriptBox["z", "4"], 
       RowBox[{
        RowBox[{"z0", "[", "x", "]"}], "^", "4"}]], " ", 
      SuperscriptBox[
       RowBox[{"Sinh", "[", 
        RowBox[{"r", "[", "x", "]"}], "]"}], "2"]}]}]]}]}]}], "Input",
 CellChangeTimes->{{3.5517759266355762`*^9, 3.551775948234145*^9}, {
  3.551777963854187*^9, 3.5517779813010263`*^9}, {3.552297786092293*^9, 
  3.5522978517052193`*^9}, {3.552358598696744*^9, 3.552358617999284*^9}}],

Cell[BoxData[
 RowBox[{"\[Gamma]0val", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"\[CapitalGamma]list", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"T", "\[Rule]", "T0"}], ",", 
      RowBox[{"V", "\[Rule]", "V0"}], ",", 
      RowBox[{"B", "\[Rule]", "B0"}], ",", 
      RowBox[{"S", "\[Rule]", "S0"}], ",", 
      RowBox[{"F", "\[Rule]", "F0"}], ",", 
      RowBox[{"U", "\[Rule]", "U0"}], ",", 
      RowBox[{"A", "\[Rule]", "A0"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5522976810006647`*^9, 3.552297752882037*^9}, {
  3.552297833742399*^9, 3.552297835694304*^9}, {3.552297866463763*^9, 
  3.552297884053384*^9}}],

Cell[BoxData[
 RowBox[{"\[Gamma]0zval", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"D", "[", 
    RowBox[{"\[Gamma]0val", ",", "z"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.552297888596513*^9, 3.5522979028685207`*^9}, {
  3.552297933860239*^9, 3.5522979343322487`*^9}}],

Cell[BoxData[
 RowBox[{"\[Gamma]0xval", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"D", "[", 
    RowBox[{"\[Gamma]0val", ",", "x"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5522979072125607`*^9, 3.5522979317400093`*^9}}],

Cell[BoxData["repl"], "Input",
 CellChangeTimes->{{3.5522979260014277`*^9, 3.552297926207816*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"string", "=", "\"\<\\n\\ndouble gam[1]\>\""}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"string", "=", 
       RowBox[{"string", "<>", "\"\<, gam\>\"", "<>", 
        RowBox[{"ToString", "[", "ii", "]"}]}]}], ";"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"ii", ",", "1", ",", 
       RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], "]"}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"string", " ", "=", 
    RowBox[{"string", "<>", "\"\< ;\\n\\ndouble gamz[1]\>\""}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"string", "=", 
       RowBox[{"string", "<>", "\"\<, gamz\>\"", "<>", 
        RowBox[{"ToString", "[", "ii", "]"}]}]}], ";"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"ii", ",", "1", ",", 
       RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], "]"}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"string", " ", "=", 
    RowBox[{"string", "<>", "\"\< ;\\n\\ndouble gamx[1]\>\""}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"string", "=", 
       RowBox[{"string", "<>", "\"\<, gamx\>\"", "<>", 
        RowBox[{"ToString", "[", "ii", "]"}]}]}], ";"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"ii", ",", "1", ",", 
       RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], "]"}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"string", " ", "=", 
  RowBox[{"string", "<>", "\"\< ;\\n\\n\>\""}]}]}], "Input",
 CellChangeTimes->{{3.5523002450696507`*^9, 3.552300318579459*^9}, {
  3.552300385572958*^9, 3.552300464235132*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"string", "=", 
       RowBox[{"string", "<>", "\"\<gam\>\"", "<>", 
        RowBox[{"ToString", "[", "ii", "]"}], "<>", "\"\< = \>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"CForm", "[", 
          RowBox[{
           RowBox[{"\[Gamma]0val", "[", 
            RowBox[{"[", "ii", "]"}], "]"}], "//.", "repl"}], "]"}], "]"}], 
        "<>", "\"\< ; \\n\>\""}]}], ";"}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"ii", ",", "1", ",", 
       RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], "]"}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"string", "=", 
       RowBox[{"string", "<>", "\"\<gamz\>\"", "<>", 
        RowBox[{"ToString", "[", "ii", "]"}], "<>", "\"\< = \>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"CForm", "[", 
          RowBox[{
           RowBox[{"\[Gamma]0zval", "[", 
            RowBox[{"[", "ii", "]"}], "]"}], "//.", "repl"}], "]"}], "]"}], 
        "<>", "\"\< ; \\n\>\""}]}], ";"}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{"ii", ",", "1", ",", 
       RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], "]"}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "\"\<gamx\>\"", "<>", 
       RowBox[{"ToString", "[", "ii", "]"}], "<>", "\"\< = \>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"CForm", "[", 
         RowBox[{
          RowBox[{"\[Gamma]0xval", "[", 
           RowBox[{"[", "ii", "]"}], "]"}], "//.", "repl"}], "]"}], "]"}], 
       "<>", "\"\< ; \\n\>\""}]}], ";"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", 
      RowBox[{"Length", "[", "\[CapitalGamma]list", "]"}]}], "}"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.551777494061716*^9, 3.551777594277585*^9}, {
   3.552297952812684*^9, 3.552297972574832*^9}, {3.5522985923571177`*^9, 
   3.552298644878726*^9}, 3.5523004715947104`*^9}],

Cell[BoxData["string"], "Input",
 CellChangeTimes->{{3.551777600033247*^9, 3.551777600494153*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<BackgndFns7.c\>\"", ",", "string", ",", "\"\<Text\>\""}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.5517850473041677`*^9, 3.551785051278384*^9}, 
   3.552300756993906*^9, {3.552376783094438*^9, 3.552376783158278*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Invariants", "Subsubtitle",
 CellChangeTimes->{{3.460389558463635*^9, 3.460389558896888*^9}, {
  3.460389609430746*^9, 3.4603896114348288`*^9}, {3.5183299969175587`*^9, 
  3.5183299978831244`*^9}, {3.5397830191049967`*^9, 3.539783022455769*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"repl", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"T", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "T"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Tl"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Tz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Tx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Tzz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Txx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Tzx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"V", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "V"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vl"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vzz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vxx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["V", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Vzx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "B"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bl"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bzz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bxx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["B", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Bzx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"S", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "S"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Sl"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Sz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Sx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Szz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Sxx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["S", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Szx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"F", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "F"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fl"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fzz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fxx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["F", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Fzx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"U", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "U"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Ul"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Uz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Ux"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Uzz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Uxx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["U", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Uzx"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"A", "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "A"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"1", ",", "0", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Al"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Az"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Ax"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "2", ",", "0"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Azz"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "0", ",", "2"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Axx"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["A", 
        TagBox[
         RowBox[{"(", 
          RowBox[{"0", ",", "1", ",", "1"}], ")"}],
         Derivative],
        MultilineFunction->None], "[", 
       RowBox[{"l", ",", "z", ",", "x"}], "]"}], "\[Rule]", "Azx"}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.426233462410046*^9, 3.426233529934688*^9}, {
   3.426425823867654*^9, 3.426425926949801*^9}, {3.460305912394334*^9, 
   3.460306053671014*^9}, {3.460307114041431*^9, 3.460307131380796*^9}, {
   3.5033115682122517`*^9, 3.503311569834202*^9}, {3.504000155601179*^9, 
   3.504000163012282*^9}, {3.517581414802555*^9, 3.517581424098625*^9}, 
   3.517824243782352*^9, {3.5178251206831512`*^9, 3.460392807343815*^9}, {
   3.460396802022485*^9, 3.460396867528345*^9}, {3.5515970198615*^9, 
   3.551597241839094*^9}, {3.551613891561685*^9, 3.551613908817973*^9}, {
   3.5516315825526857`*^9, 3.551631594119667*^9}, {3.55167222992194*^9, 
   3.5516722551933413`*^9}, {3.551762261193756*^9, 3.5517622615376797`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"simplifyCurv", "[", "expr_", "]"}], ":=", 
   RowBox[{"(", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Print", "[", "\"\<Extract coefficients:\>\"", "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"Timing", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"deriv\[Lambda]", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Coefficient", "[", 
           RowBox[{"expr", ",", "dlist\[Lambda]"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"derivzz", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Coefficient", "[", 
           RowBox[{"expr", ",", "dlistzz"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"derivxx", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Coefficient", "[", 
           RowBox[{"expr", ",", "dlistxx"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"derivzx", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Coefficient", "[", 
           RowBox[{"expr", ",", "dlistzx"}], "]"}], "]"}]}], ";"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "\"\<deriv2\>\"", "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"Timing", "[", 
       RowBox[{
        RowBox[{"deriv2", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"Coefficient", "[", 
           RowBox[{"expr", ",", "dlist2"}], "]"}], "]"}]}], ";"}], "]"}], 
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "\"\<deriv1\>\"", "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"Timing", "[", 
       RowBox[{
        RowBox[{"deriv1", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{
           RowBox[{"Coefficient", "[", 
            RowBox[{"expr", ",", "dlist"}], "]"}], "//.", "zerodlist"}], 
          "]"}]}], ";"}], "]"}], "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Print", "[", "\"\<noderiv\>\"", "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"Timing", "[", 
       RowBox[{
        RowBox[{"noderiv", "=", 
         RowBox[{"Simplify", "[", 
          RowBox[{"expr", "//.", "zeroallderiv"}], "]"}]}], ";"}], "]"}], 
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"newexpr", "=", 
      RowBox[{
       RowBox[{"derivzz", ".", "dlistzz"}], "+", 
       RowBox[{"derivxx", ".", "dlistxx"}], "+", 
       RowBox[{"derivzx", ".", "dlistzx"}], "+", 
       RowBox[{"deriv1", ".", "dlist"}], "+", 
       RowBox[{"deriv2", ".", "dlist2"}], "+", "noderiv"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<\\nCheck:\\n\\n\>\"", ",", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"expr", "-", "newexpr"}], ")"}], "/.", "randlist"}], "]"}], 
       ",", "\"\<\\n\\n\>\""}], "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "newexpr"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.517825191432572*^9, 3.5178251938533*^9}, {
   3.517828583820703*^9, 3.517828636236395*^9}, {3.517828677980176*^9, 
   3.517828696111575*^9}, {3.51782874494584*^9, 3.5178288515280733`*^9}, {
   3.551597504112151*^9, 3.551597538846211*^9}, {3.551762823833675*^9, 
   3.551762829263749*^9}, {3.5517631614433002`*^9, 3.551763203332573*^9}, {
   3.551763985078229*^9, 3.551764207318165*^9}, {3.551764314143834*^9, 
   3.5517643203936367`*^9}, {3.55176469689773*^9, 3.5517647090934887`*^9}, {
   3.5517666097872963`*^9, 3.551766622045651*^9}, {3.551767021970677*^9, 
   3.551767060955411*^9}, {3.552372996997864*^9, 3.5523730949597073`*^9}, {
   3.552373218178898*^9, 3.552373320830234*^9}, {3.552373399429652*^9, 
   3.5523734177935333`*^9}, {3.552373485385387*^9, 3.552373568087543*^9}, {
   3.552373609535265*^9, 3.552373663922447*^9}, {3.552373714097481*^9, 
   3.552373804519549*^9}, {3.552374790155702*^9, 3.5523747908681393`*^9}, {
   3.552375011673545*^9, 3.55237501764587*^9}, {3.552375051252022*^9, 
   3.552375074862339*^9}, {3.552375109573423*^9, 3.5523751263334093`*^9}, {
   3.5523752155589867`*^9, 3.552375382121031*^9}, 3.552375416054233*^9, {
   3.552375491699973*^9, 3.552375518317487*^9}, {3.552375620242538*^9, 
   3.552375634481347*^9}, {3.552375665606988*^9, 3.552375699750725*^9}, {
   3.552382511354047*^9, 3.552382518910993*^9}, {3.552635173067955*^9, 
   3.552635229261003*^9}, {3.5526353974579144`*^9, 3.5526353998490343`*^9}, {
   3.552639220865884*^9, 3.5526392248656588`*^9}, {3.552639388608201*^9, 
   3.552639423517764*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"newRicci", "=", 
   RowBox[{"simplifyCurv", "[", 
    RowBox[{"Ricci", "/.", "repl"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.552638485187203*^9, 3.55263850815247*^9}, 
   3.552639429394141*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"newR2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R2", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"simplifyCurv", "[", 
        RowBox[{
         RowBox[{"R2", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "i1", ",", "i2"}], "]"}], "]"}], "/.", "repl"}], 
        "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.55263114893246*^9, 3.552631165336402*^9}, {
   3.5526313722263107`*^9, 3.5526313749271507`*^9}, 3.552635233745961*^9, {
   3.5526353288891563`*^9, 3.5526353294465837`*^9}, {3.5526354197946568`*^9, 
   3.552635458241696*^9}, 3.552640105316166*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"newR4", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R4", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"simplifyCurv", "[", 
        RowBox[{
         RowBox[{"R4", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "i1", ",", "i2", ",", "i3", ",", "i4"}], "]"}], 
          "]"}], "/.", "repl"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i3", ",", "1", ",", "Nind"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i4", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.552640124061418*^9, 3.552640136308058*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "C4", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"MT", "[", 
    RowBox[{"C4", ",", "4", ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "d", ",", "d", ",", "d"}], "}"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<  - \>\"", ",", "i1", ",", "\"\<,\>\"", ",", "i2", ",", 
       "\"\<,\>\"", ",", "i3", ",", "\"\<,\>\"", ",", "i4"}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"C4", "=", 
      RowBox[{"ST", "[", 
       RowBox[{"C4", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"i1", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i2", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i3", ",", "d"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i4", ",", "d"}], "}"}]}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"GT", "[", 
            RowBox[{"newR4", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"i1", ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"i2", ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"i3", ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"i4", ",", "d"}], "}"}]}], "}"}]}], "]"}], "-", 
           RowBox[{
            FractionBox["1", "3"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Gd", "[", 
                RowBox[{"[", 
                 RowBox[{"i1", ",", "i3"}], "]"}], "]"}], 
               RowBox[{"GT", "[", 
                RowBox[{"newR2", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"i2", ",", "d"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"i4", ",", "d"}], "}"}]}], "}"}]}], "]"}]}], "-", 
              RowBox[{
               RowBox[{"Gd", "[", 
                RowBox[{"[", 
                 RowBox[{"i1", ",", "i4"}], "]"}], "]"}], 
               RowBox[{"GT", "[", 
                RowBox[{"newR2", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"i2", ",", "d"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"i3", ",", "d"}], "}"}]}], "}"}]}], "]"}]}], "-", 
              RowBox[{
               RowBox[{"Gd", "[", 
                RowBox[{"[", 
                 RowBox[{"i2", ",", "i3"}], "]"}], "]"}], 
               RowBox[{"GT", "[", 
                RowBox[{"newR2", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"i1", ",", "d"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"i4", ",", "d"}], "}"}]}], "}"}]}], "]"}]}], "+", 
              RowBox[{
               RowBox[{"Gd", "[", 
                RowBox[{"[", 
                 RowBox[{"i2", ",", "i4"}], "]"}], "]"}], 
               RowBox[{"GT", "[", 
                RowBox[{"newR2", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"i1", ",", "d"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"i3", ",", "d"}], "}"}]}], "}"}]}], "]"}]}]}], 
             ")"}]}], "+", 
           RowBox[{
            FractionBox["1", 
             RowBox[{"4", "*", "3"}]], "newRicci", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Gd", "[", 
                RowBox[{"[", 
                 RowBox[{"i1", ",", "i3"}], "]"}], "]"}], 
               RowBox[{"Gd", "[", 
                RowBox[{"[", 
                 RowBox[{"i2", ",", "i4"}], "]"}], "]"}]}], "-", 
              RowBox[{
               RowBox[{"Gd", "[", 
                RowBox[{"[", 
                 RowBox[{"i1", ",", "i4"}], "]"}], "]"}], 
               RowBox[{"Gd", "[", 
                RowBox[{"[", 
                 RowBox[{"i2", ",", "i3"}], "]"}], "]"}]}]}], ")"}]}]}], 
          ")"}], "/.", "repl"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], ",",
     "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i3", ",", "1", ",", "Nind"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i4", ",", "1", ",", "Nind"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5398731927466583`*^9, 3.5398732399145308`*^9}, {
   3.5398732894972343`*^9, 3.53987340283033*^9}, {3.539873443732388*^9, 
   3.539873496579793*^9}, {3.539873596517035*^9, 3.539873608106615*^9}, {
   3.54247038872611*^9, 3.542470391908834*^9}, 3.552630296856496*^9, {
   3.552639877818141*^9, 3.552639909711162*^9}, {3.552639967224496*^9, 
   3.5526399763775587`*^9}, {3.552640008609408*^9, 3.55264003093004*^9}, {
   3.5526401522742*^9, 3.552640181184319*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"newC4", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"C4", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"simplifyCurv", "[", 
        RowBox[{
         RowBox[{"C4", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "i1", ",", "i2", ",", "i3", ",", "i4"}], "]"}], 
          "]"}], "/.", "repl"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i3", ",", "1", ",", "Nind"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i4", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.552640124061418*^9, 3.552640136308058*^9}, {
  3.552640786980151*^9, 3.55264079256421*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"string", "=", "\"\<\\n\\n\>\""}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"Gd", "[", 
          RowBox[{"[", 
           RowBox[{"ii", ",", "jj"}], "]"}], "]"}], "//.", "repl"}], "]"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<gd[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<][\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"jj", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp", "<>", "\"\<\\n\>\""}]}], ";"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "Nind"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"jj", ",", "1", ",", "Nind"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518340465803512*^9, 3.518340491929764*^9}, {
  3.5398163805013123`*^9, 3.539816437514002*^9}, {3.539868518460724*^9, 
  3.539868574470571*^9}, {3.539868606350236*^9, 3.539868616907847*^9}, {
  3.53986869866046*^9, 3.539868699979281*^9}, {3.539868893791936*^9, 
  3.539868896510894*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{"Gu", "[", 
          RowBox[{"[", 
           RowBox[{"ii", ",", "jj"}], "]"}], "]"}], "//.", "repl"}], "]"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<gu[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<][\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"jj", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp", "<>", "\"\<\\n\>\""}]}], ";"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "Nind"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"jj", ",", "1", ",", "Nind"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518340465803512*^9, 3.518340491929764*^9}, {
  3.5398163805013123`*^9, 3.539816437514002*^9}, {3.539868518460724*^9, 
  3.539868574470571*^9}, {3.539868606350236*^9, 3.539868627325491*^9}, {
  3.539868709539381*^9, 3.539868710763042*^9}, {3.539868899329043*^9, 
  3.539868901934766*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"newR2", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"ii", ",", "jj"}], "]"}], "]"}], "//.", "repl"}], "]"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<R2[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<][\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"jj", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp", "<>", "\"\<\\n\>\""}]}], ";"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "Nind"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"jj", ",", "1", ",", "Nind"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518340465803512*^9, 3.518340491929764*^9}, {
  3.5398163805013123`*^9, 3.539816437514002*^9}, {3.539868518460724*^9, 
  3.539868574470571*^9}, {3.539868606350236*^9, 3.539868627325491*^9}, {
  3.539868713554957*^9, 3.539868715194871*^9}, {3.5398687745146427`*^9, 
  3.539868778392296*^9}, {3.539868908127057*^9, 3.53986891066252*^9}, {
  3.552641349772472*^9, 3.5526413499559937`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stringtmp", "=", 
      RowBox[{"ToString", "[", 
       RowBox[{"CForm", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"newC4", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"ii", ",", "jj", ",", "kk", ",", "ll"}], "]"}], "]"}], "//.",
          "repl"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"stringtmp", "=", 
      RowBox[{"\"\<C4[\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ii", "-", "1"}], "]"}], "<>", "\"\<][\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"jj", "-", "1"}], "]"}], "<>", "\"\<][\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"kk", "-", "1"}], "]"}], "<>", "\"\<][\>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"ll", "-", "1"}], "]"}], "<>", "\"\<] = \>\"", "<>", 
       "stringtmp", "<>", "\"\< ;\\n\>\""}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"string", "=", 
      RowBox[{"string", "<>", "stringtmp", "<>", "\"\<\\n\>\""}]}], ";"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", "Nind"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"jj", ",", "1", ",", "Nind"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"kk", ",", "1", ",", "Nind"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ll", ",", "1", ",", "Nind"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"string", "<>", "\"\<\\n\>\""}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.518340465803512*^9, 3.518340491929764*^9}, {
  3.5398163805013123`*^9, 3.539816437514002*^9}, {3.539868518460724*^9, 
  3.539868574470571*^9}, {3.539868606350236*^9, 3.539868627325491*^9}, {
  3.539868713554957*^9, 3.539868715194871*^9}, {3.5398687745146427`*^9, 
  3.539868833305031*^9}, {3.539868912679419*^9, 3.539868919759419*^9}, {
  3.5398736402954473`*^9, 3.539873644807032*^9}, {3.552641352366501*^9, 
  3.552641352658763*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<Curv7.c\>\"", ",", "string", ",", "\"\<Text\>\""}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5183405071532507`*^9, 3.518340509007971*^9}, {
   3.539816446282407*^9, 3.5398164467134743`*^9}, 3.5435574581704397`*^9, {
   3.543559277868348*^9, 3.543559277961609*^9}, 3.552641364368429*^9, 
   3.552644202222471*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1606, 771},
WindowMargins->{{141, Automatic}, {145, Automatic}},
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "calcgeom"->{
  Cell[31726, 850, 306, 9, 73, "Input",
   CellTags->"calcgeom"],
  Cell[32035, 861, 293, 10, 73, "Input",
   CellTags->"calcgeom"],
  Cell[32331, 873, 264, 9, 58, "Input",
   CellTags->"calcgeom"],
  Cell[32598, 884, 264, 9, 58, "Input",
   CellTags->"calcgeom"],
  Cell[32865, 895, 3551, 100, 152, "Input",
   CellTags->"calcgeom"],
  Cell[36419, 997, 155, 4, 27, "Input",
   CellTags->"calcgeom"],
  Cell[36781, 1009, 5599, 153, 178, "Input",
   CellTags->"calcgeom"],
  Cell[42383, 1164, 142, 4, 27, "Input",
   CellTags->"calcgeom"],
  Cell[42528, 1170, 1615, 48, 88, "Input",
   CellTags->"calcgeom"],
  Cell[44146, 1220, 142, 4, 27, "Input",
   CellTags->"calcgeom"],
  Cell[44291, 1226, 633, 22, 27, "Input",
   CellTags->"calcgeom"],
  Cell[44927, 1250, 1648, 51, 115, "Input",
   CellTags->"calcgeom"],
  Cell[46578, 1303, 142, 4, 27, "Input",
   CellTags->"calcgeom"],
  Cell[46723, 1309, 145, 4, 27, "Input",
   CellTags->"calcgeom"],
  Cell[55813, 1546, 350, 9, 58, "Input",
   CellTags->"calcgeom"],
  Cell[56166, 1557, 2200, 63, 58, "Input",
   CellTags->"calcgeom"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"calcgeom", 210513, 5737}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 713, 18, 221, "Subtitle"],
Cell[1283, 42, 86, 1, 27, "Input"],
Cell[1372, 45, 68, 1, 27, "Input"],
Cell[CellGroupData[{
Cell[1465, 50, 111, 1, 26, "Subsubtitle"],
Cell[1579, 53, 95, 2, 27, "Input"],
Cell[1677, 57, 279, 8, 58, "Input"],
Cell[1959, 67, 266, 9, 58, "Input"],
Cell[2228, 78, 407, 13, 27, "Input"],
Cell[2638, 93, 37, 0, 27, "Input"],
Cell[2678, 95, 257, 8, 58, "Input"],
Cell[2938, 105, 2020, 62, 103, "Input"],
Cell[4961, 169, 26, 0, 27, "Input"],
Cell[4990, 171, 841, 25, 43, "Input"],
Cell[5834, 198, 1026, 31, 58, "Input"],
Cell[6863, 231, 227, 8, 86, "Text"],
Cell[7093, 241, 4015, 95, 238, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[11145, 341, 111, 3, 26, "Subsubtitle"],
Cell[11259, 346, 128, 4, 26, "Text"],
Cell[11390, 352, 6139, 139, 718, "Input"],
Cell[17532, 493, 68, 1, 26, "Text"],
Cell[17603, 496, 3727, 84, 523, "Input"],
Cell[21333, 582, 824, 18, 208, "Input"],
Cell[22160, 602, 4051, 89, 583, "Input"],
Cell[26214, 693, 99, 2, 27, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[26350, 700, 34, 0, 26, "Subsubtitle"],
Cell[26387, 702, 394, 11, 58, "Input"],
Cell[26784, 715, 2360, 65, 50, "Input"],
Cell[29147, 782, 1190, 32, 46, "Input"],
Cell[30340, 816, 130, 2, 27, "Input"],
Cell[30473, 820, 931, 13, 27, "Input"],
Cell[31407, 835, 28, 0, 27, "Input"],
Cell[31438, 837, 94, 1, 27, "Input"],
Cell[31535, 840, 119, 3, 27, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31691, 848, 32, 0, 26, "Subsubtitle"],
Cell[31726, 850, 306, 9, 73, "Input",
 CellTags->"calcgeom"],
Cell[32035, 861, 293, 10, 73, "Input",
 CellTags->"calcgeom"],
Cell[32331, 873, 264, 9, 58, "Input",
 CellTags->"calcgeom"],
Cell[32598, 884, 264, 9, 58, "Input",
 CellTags->"calcgeom"],
Cell[32865, 895, 3551, 100, 152, "Input",
 CellTags->"calcgeom"],
Cell[36419, 997, 155, 4, 27, "Input",
 CellTags->"calcgeom"],
Cell[36577, 1003, 201, 4, 27, "Input"],
Cell[36781, 1009, 5599, 153, 178, "Input",
 CellTags->"calcgeom"],
Cell[42383, 1164, 142, 4, 27, "Input",
 CellTags->"calcgeom"],
Cell[42528, 1170, 1615, 48, 88, "Input",
 CellTags->"calcgeom"],
Cell[44146, 1220, 142, 4, 27, "Input",
 CellTags->"calcgeom"],
Cell[44291, 1226, 633, 22, 27, "Input",
 CellTags->"calcgeom"],
Cell[44927, 1250, 1648, 51, 115, "Input",
 CellTags->"calcgeom"],
Cell[46578, 1303, 142, 4, 27, "Input",
 CellTags->"calcgeom"],
Cell[46723, 1309, 145, 4, 27, "Input",
 CellTags->"calcgeom"]
}, Closed]],
Cell[CellGroupData[{
Cell[46905, 1318, 41, 0, 26, "Subsubtitle"],
Cell[46949, 1320, 162, 3, 27, "Input"],
Cell[47114, 1325, 2694, 70, 88, "Input"],
Cell[49811, 1397, 5103, 125, 343, "Input"],
Cell[54917, 1524, 188, 3, 27, "Input"],
Cell[55108, 1529, 186, 3, 27, "Input"],
Cell[55297, 1534, 513, 10, 27, "Input"],
Cell[55813, 1546, 350, 9, 58, "Input",
 CellTags->"calcgeom"],
Cell[56166, 1557, 2200, 63, 58, "Input",
 CellTags->"calcgeom"],
Cell[58369, 1622, 1548, 41, 148, "Input"],
Cell[59920, 1665, 97, 1, 27, "Input"],
Cell[60020, 1668, 830, 23, 58, "Input"],
Cell[60853, 1693, 3478, 95, 227, "Input"],
Cell[64334, 1790, 193, 5, 27, "Input"],
Cell[64530, 1797, 2909, 78, 148, "Input"],
Cell[67442, 1877, 13740, 420, 143, "Input"],
Cell[81185, 2299, 1239, 32, 33, "Input"],
Cell[82427, 2333, 1420, 38, 43, "Input"],
Cell[83850, 2373, 147, 3, 27, "Input"],
Cell[84000, 2378, 830, 22, 27, "Input"],
Cell[84833, 2402, 848, 21, 27, "Input"],
Cell[85684, 2425, 827, 22, 27, "Input"],
Cell[86514, 2449, 561, 14, 27, "Input"],
Cell[87078, 2465, 98, 1, 27, "Input"],
Cell[87179, 2468, 209, 5, 27, "Input"],
Cell[87391, 2475, 2594, 69, 208, "Input"],
Cell[89988, 2546, 387, 11, 27, "Input"],
Cell[90378, 2559, 374, 9, 27, "Input"],
Cell[90755, 2570, 1327, 28, 27, "Input"],
Cell[92085, 2600, 400, 11, 27, "Input"],
Cell[92488, 2613, 674, 19, 27, "Input"],
Cell[93165, 2634, 492, 15, 27, "Input"],
Cell[93660, 2651, 275, 5, 27, "Input"],
Cell[93938, 2658, 7760, 164, 733, "Input"],
Cell[101701, 2824, 97, 1, 27, "Input"],
Cell[101801, 2827, 34, 0, 27, "Input"],
Cell[101838, 2829, 580, 15, 58, "Input"],
Cell[102421, 2846, 581, 15, 58, "Input"],
Cell[103005, 2863, 583, 15, 58, "Input"],
Cell[103591, 2880, 483, 14, 58, "Input"],
Cell[104077, 2896, 485, 14, 58, "Input"],
Cell[104565, 2912, 583, 15, 58, "Input"],
Cell[105151, 2929, 581, 15, 58, "Input"],
Cell[105735, 2946, 364, 9, 27, "Input"],
Cell[106102, 2957, 214, 5, 27, "Input"],
Cell[106319, 2964, 246, 6, 27, "Input"],
Cell[106568, 2972, 472, 10, 27, "Input"],
Cell[107043, 2984, 451, 11, 27, "Input"],
Cell[107497, 2997, 493, 11, 27, "Input"],
Cell[107993, 3010, 584, 13, 27, "Input"],
Cell[108580, 3025, 658, 13, 27, "Input"],
Cell[109241, 3040, 689, 14, 27, "Input"],
Cell[109933, 3056, 673, 14, 27, "Input"],
Cell[110609, 3072, 383, 9, 27, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[111029, 3086, 195, 3, 26, "Subsubtitle"],
Cell[111227, 3091, 1680, 50, 208, "Input"],
Cell[112910, 3143, 1675, 50, 208, "Input"],
Cell[114588, 3195, 1677, 50, 208, "Input"],
Cell[116268, 3247, 542, 12, 27, "Input"],
Cell[116813, 3261, 536, 12, 27, "Input"],
Cell[117352, 3275, 538, 12, 27, "Input"],
Cell[117893, 3289, 489, 11, 27, "Input"],
Cell[118385, 3302, 491, 11, 27, "Input"],
Cell[118879, 3315, 489, 11, 27, "Input"],
Cell[119371, 3328, 491, 11, 27, "Input"],
Cell[119865, 3341, 486, 11, 27, "Input"],
Cell[120354, 3354, 486, 11, 27, "Input"],
Cell[120843, 3367, 485, 11, 27, "Input"],
Cell[121331, 3380, 484, 11, 27, "Input"],
Cell[121818, 3393, 484, 11, 27, "Input"],
Cell[122305, 3406, 482, 11, 27, "Input"],
Cell[122790, 3419, 486, 11, 27, "Input"],
Cell[123279, 3432, 591, 12, 27, "Input"],
Cell[123873, 3446, 626, 13, 27, "Input"],
Cell[124502, 3461, 622, 13, 27, "Input"],
Cell[125127, 3476, 622, 13, 27, "Input"],
Cell[125752, 3491, 617, 13, 27, "Input"],
Cell[126372, 3506, 624, 13, 27, "Input"],
Cell[126999, 3521, 617, 13, 27, "Input"],
Cell[127619, 3536, 619, 12, 27, "Input"],
Cell[128241, 3550, 613, 12, 27, "Input"],
Cell[128857, 3564, 617, 12, 27, "Input"],
Cell[129477, 3578, 569, 12, 27, "Input"],
Cell[130049, 3592, 573, 12, 27, "Input"],
Cell[130625, 3606, 573, 12, 27, "Input"],
Cell[131201, 3620, 571, 12, 27, "Input"],
Cell[131775, 3634, 673, 13, 27, "Input"],
Cell[132451, 3649, 703, 13, 27, "Input"],
Cell[133157, 3664, 701, 13, 27, "Input"],
Cell[133861, 3679, 701, 13, 27, "Input"],
Cell[134565, 3694, 694, 13, 27, "Input"],
Cell[135262, 3709, 705, 13, 27, "Input"],
Cell[135970, 3724, 694, 13, 27, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[136701, 3742, 144, 2, 26, "Subsubtitle"],
Cell[136848, 3746, 1210, 29, 43, "Input"],
Cell[138061, 3777, 776, 20, 88, "Input"],
Cell[138840, 3799, 520, 11, 88, "Input"],
Cell[139363, 3812, 1790, 45, 103, "Input"],
Cell[141156, 3859, 1731, 44, 103, "Input"],
Cell[142890, 3905, 7512, 186, 313, "Input"],
Cell[150405, 4093, 185, 3, 27, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[150627, 4101, 201, 3, 26, "Subsubtitle"],
Cell[150831, 4106, 1489, 39, 43, "Input"],
Cell[152323, 4147, 326, 5, 27, "Input"],
Cell[152652, 4154, 85, 2, 27, "Input"],
Cell[152740, 4158, 1030, 27, 118, "Input"],
Cell[153773, 4187, 409, 8, 27, "Input"],
Cell[154185, 4197, 202, 4, 27, "Input"],
Cell[154390, 4203, 1018, 27, 88, "Input"],
Cell[155411, 4232, 1413, 34, 118, "Input"],
Cell[156827, 4268, 1268, 32, 118, "Input"],
Cell[158098, 4302, 1033, 27, 118, "Input"],
Cell[159134, 4331, 5655, 152, 658, "Input"],
Cell[164792, 4485, 444, 8, 27, "Input"],
Cell[165239, 4495, 96, 1, 27, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[165372, 4501, 103, 1, 26, "Subsubtitle"],
Cell[165478, 4504, 771, 23, 27, "Input"],
Cell[166252, 4529, 2905, 92, 371, "Input"],
Cell[169160, 4623, 647, 15, 27, "Input"],
Cell[169810, 4640, 280, 6, 27, "Input"],
Cell[170093, 4648, 231, 5, 27, "Input"],
Cell[170327, 4655, 98, 1, 27, "Input"],
Cell[170428, 4658, 2249, 57, 388, "Input"],
Cell[172680, 4717, 2457, 59, 268, "Input"],
Cell[175140, 4778, 98, 1, 27, "Input"],
Cell[175241, 4781, 291, 6, 27, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[175569, 4792, 251, 3, 26, "Subsubtitle"],
Cell[175823, 4797, 13740, 420, 143, "Input"],
Cell[189566, 5219, 5088, 102, 553, "Input"],
Cell[194657, 5323, 238, 6, 27, "Input"],
Cell[194898, 5331, 862, 23, 27, "Input"],
Cell[195763, 5356, 845, 24, 27, "Input"],
Cell[196611, 5382, 5325, 137, 313, "Input"],
Cell[201939, 5521, 893, 25, 27, "Input"],
Cell[202835, 5548, 85, 2, 27, "Input"],
Cell[202923, 5552, 1526, 35, 148, "Input"],
Cell[204452, 5589, 1527, 35, 148, "Input"],
Cell[205982, 5626, 1696, 38, 148, "Input"],
Cell[207681, 5666, 2122, 47, 148, "Input"],
Cell[209806, 5715, 386, 8, 27, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
